from wxPython.wx import wxImageFromStream, wxBitmapFromImage
from wxPython.wx import wxEmptyIcon
import cStringIO

#----------------------------------------------------------------------
def getReadChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00$\x00\x00\x00#\x08\x06\x00\
\x00\x00\xfc\x05\xa8 \x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\
\x02aIDATx\x9c\xdd\x98\xdb\x92\x9b0\x10D\xcf\x08\xe7\xa7\x93\xd4.\x1a\t\xf2\
\xd3\x8b:\x0f\xb2Y\xb0\xd7\xdcL*\xa9\xc8\xa5*s\x1b\x1dZM\x0b\xdb@\xe2\x1fj\
\xe1o\x03\xdc\xb7\xff\x0fh\x90Qt\xde}\x1d\xa8d\xe37\xe9\x1b\x01(EH\xcd)@\x97\
c0\x06\x08\x0b\x05\x04)\x81TN\x01\xda\xa1\x90=nk\xa8Ed\xd8\xfda\x00\xd9jwO\
\xb3K6*\xf4\xd5h\xb7\xfd\xe2\xc7\xdb\x84\xa1\\@\xc2\x9a\x01Lu\xe0\x1dm\x83Bk\
\x05\xa7\x9e2d\x05BA7\x10\xdb\x17s+\nm\xbd\xbb\xaaT\xd3\x80\x8aH\x11\xca\xcd\
\xe3\xe7)\xb4\xaf\x10X}\xda.0\x18\xd5S;a\xe0\xa9B\xfb\x0b\x8d\xd7}\x88\xf7\
\xb7c0\xf0\x85B\xde\xe6\x830\x13\xa8\x05\x18O\x8e\'_* \xddz\x8a.@}\xec\x04\
\x1c\xeb\x0b\x1fw\x1f\xc7r\xf7\x87}\xd7\x85\xfes\xa3o]\x10D0\xa5\x98\xff\x18\
\xcc\x14j\x11HCP\x8d9d\x04e?\xa0\xd4\n\x8cd*\x85\xb9RO\x81\x84Tl<\x10\xf8&\
\xf7\xf6%\xa89LP\x19\xc2\x03\xd4S\xa0\x9cQQ\x05J)\x8d\x03x\x9bV!\xcc\xec\x01\
\xaa\xc2\xdc\xf6I\x18\n\x98\xba\x16y\xb2u\xa0\xe8\xa8\xf3\xcf\x13\xa7\xe6\
\xce\xf9\x80\xa7\x1ez\x85\x8a\x1e\xe4\xdd\x06\x85@\xea\xfc\xf3D\t\x11\x10V\
\x97\xc2\xf9\x1d\xbf\x005\xe9\x83\xd0\x87x\x0e\xf4\xe8\xa9z\xb2\x81\x08\xa6.\
\x1e\xf0\xd4\x13\xa8\xa2F\x83P\xd9\n\xd4\xa70\x02u\xa9\xafO\x9f\x99\xbat\xd2\
\xf4\x81\xac\tJ3?-\x00\xe5\x88\xe2d\ns\x7f5\xb7\xa1.\x9e5}\xccl\xb2\x08t\xef\
\xa9R*L0\x04A}\xfb\x9aR\xd9\x93\xb2\xff\xba\x1bs\x05h\xe6\xa9\xf2\xe9)@\x97\
\xa39\x05J\xd1ep\x8d\x97\x83@}\xaa\xa1\x06\x9a\xc5\xc0\x96\x9c\xbaW\xa6\xb1 \
3[N\xea\xd5\xe9\x8b\xcd,\xa7\xa6\xeb\xdd\xd6\x9c\xeaR\x1eC\xf4e\xa0{OIaWNe\
\x9f+Yoh%\x18\xf7\xf4"\xdb\x9cS\xee.3\xbb\xaas[\xb87$\xf5\x9e\x9e\x92m\xca\
\xa9\x94\xd2d\xad\x0b\xca\xb9_\xa8\xfb\x02P\xbb!\xa7\xe60\xcf\xa6\xe9$\xa0{O\
\xad\xe5\xd4\xf3i:\x11h\xda%T\xd4\x8c\x9e\xeaR\x96\x11&/{\xeb5N\xfd;&N\xde\
\xdd\x85\x18T\x10\x85\xe8-?\xdf\xbeo\xaaaW\x99Nim\xac\xbf6\xda\xf7\xe3%\x7f\
\x03\xc45\x1b\x0e\xbd\x1d\x06-\x00\x00\x00\x00IEND\xaeB`\x82' 

def getReadChipBitmap():
    return wxBitmapFromImage(getReadChipImage())

def getReadChipImage():
    stream = cStringIO.StringIO(getReadChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getWriteChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00$\x00\x00\x00#\x08\x06\x00\
\x00\x00\xfc\x05\xa8 \x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\
\x02aIDATx\x9c\xdd\x98]\x8e\xdb0\x0c\x84\x87tr\xe9v\x93J\x94\xec\xbdWQ\xa0\
\x97Zk\xfa\xa0l,\xab\xf1\xbf\x8b\x16\x15\xa0\x07%\x02\xf5\x99\x9c\x0c\xe5\
\x08@\xe2\x1f\x1a\xfa\xb7\x01\xea\xf1\xff\x01\xf5\x14$\xee\x0bC\xc8\x19@C\
\x10\xf2\n\x05\x90\x12A6\xbb`j\xa8\xcb>\x18\xc9\xa14\x01\x04B\x00\xc8\xb4\
\x19\xa6\\\x0b\xf2okC\x86\xea\xf4\n\xc0>\x07\xa1@~\xcf\xfe*\x98\xcfa\x16\x9e\
[\xb8<13\xc7{\x99\x1a\xb2W\xf2\xd5w\x13\x07\x98\xd9\xe8\xac\x030c(\x12L\x14\
\x92C\x80m0\x8b@k`\x06(UP\x00F\xbf*\xed/`f\x81\xb6\xc0\x14\x99\xba\x80\xde\
\xf6\xc2L\x02\xed\x81\xa9\xca\xb7\x0b\xe6\x05\x90\xb9p\x10\x08\xb3@\xf30\x15\
P\xf0F\x00\xec|{\x18\xea\x94\x0cu\xce\x08(\xa1\xc2\xe0\xe3\x1f\x03\x9a\x87*\
\x16\xec\x95\xd9\xe6@\x812\xda\xfeL-\x01MA\xc9\x83\n\xc0\xe7RrK\x80@q\x85\
\xb3\xaf\xb8\xdf\x1d\xb6\x0e3[\xbd\xf7~\xbf\x95\xcb\x81.\xc6ll\x00\x19\xc2 \
\xee5B\x17\x91\x85=$\x04T\x08[\x07Z\x90\x97\x89\x1b\xf5\xb2>\x01\xef\x8f\x96\
r\xbb\xbd\xa1\xf3m~\x02wC\x8cq\xf6)9$zb\xe4b$!>T\x01\x9d\xdc?&lm\xdc\n\xa0 $\
;p\xae\xf9qK(gO\xf0\x83\xe5\xe73\xba#A&<\xc5\x06\x15\xb6\xde\x9d\x06\x95\xd8\
\xb0\'\x98\xd6\x02uA\x9f@m\xe8\xb2\xe4E\xd8\x86c\x960@\x81\xd2(\xc3HO3@\xd1\
\xe7\xbe\xf4\\w\x0fq\x0b\xd8\xfa\xe3\xe5\xfb\xf1\xfd\'\x01\x8cd2\x0bTk*\xa5\
\x0c\xa3\x02\x02\xca\xce\x1d\xcbT\xb4\xc0h\xef\xd5\x99\xeb<,k*\r\x9a\x02\xc0\
\x0b\xae4\xdb\xa7\xa9\xe0\x8d\x02<\xece\'P\x17\x94|\xf8T\x8cCv\xb66\xe4h\x81\
\x8d(Ed\xeb\x05\xad*\x9fo\xd8\xda \xc0\xb2\xdf\x95\x80s\xb3\r\xf1i\xa2\x87\
\x81jM\x91\xba\xc9\xa7\xa2\x8d3\x99\x1f\xa8>c#P9\x13e\xb5O\x99\x19E\xe4\x91\
\x9d\xcf\xc6\xfd*\xee\x01\xa0\x10d\x95O\x85\x10\x8a^\xa7\x8c\xb1\x9b\x89{\
\x00\xc8\xad\xf0\xa91\xccT\x99N\x02\xaa5\xb5\xe4S\xd3e:\x11\xa8\x9c\xacz_\
\x1b"\x05Z\\\xf6\x96c\x9c\xfaw\x8c/\xeed\x04\xd13\x81H\xf0\xe6\xf0v\xff\xb2*\
\xc6\xe8\xc6xt8\x9f\xdf\xdb\xdd\xb7\xfd!\x7f\x01k\xbd\xf9*\x81$ \xbf\x00\x00\
\x00\x00IEND\xaeB`\x82' 

def getWriteChipBitmap():
    return wxBitmapFromImage(getWriteChipImage())

def getWriteChipImage():
    stream = cStringIO.StringIO(getWriteChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getResetChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\x00\x00 \x08\x06\x00\
\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\x01\
\xb3IDATx\x9c\xb5Wm\xb2\x83 \x0c\\\xde\xf4^}7k\xbcY<Y\xfa\x83\x0fC \x08U3\
\xc3h\x01\xb3\xebfA\n@\xa4\xd7\x88H\x00t\xc7\xeel\x7f\x18\x84\x08\x00\x84\
\xd1\x94;\xa2\xc7\x0c\x02@\x88HD\xe4Q%^-\xa1\xe3\x8d\x89\xa8P\x0c!$^\x0f*p\
\xd4\xfdh"\xf2\xb0\x12\n\xfc\x009\xc0s\xc4q<@B\x813s!\xd1\x8b\'\x94(\x1e\xd8\
\xf7\x1d\xef\xf7\xdb-T\xf4\xc0Q\xb4\x1b=\x11\xdf\x88\x99+\x05\xb4\n\xd6\x17\
\xf7*\xa1\x96\x1d37`\xbdv\xaf\'\x14\x01\x0f\xcc\xfe\xbe\xd7\x13\x86\x80^\x8a\
\xf3\xc6\xbc\xa0\x84]~\xcc\\Hdp\x8f@\x9cwQ\x89\xfc\xb0\x06\xc9^\x18\x193\x83\
\xe7\xf6\xb3\x12#\x02\x9e1-xMbQ\tK\xa0g\xbc\xb6\xf9\t\xd7\x95h\x98\xb7\xad\
\xfeF\x9c\']SB=\xe4-?m\xccYig\x95\x08\x89E\n\xbd\xdd\xc6\xee\x10\x02D\x04[\
\xf0\x0f&\xe4l\xc9D[\xfa\xa4\xf7\xc7\x0b\x94\x95\xa4r; \x94\x06\xabk\x8a\xac\
\x8eg\xcc\xe9\x12\xd8\xce\x0c\\\xf6\x02\x87\xc0U"\xa5\x04d\xce~\xff\xcc\xf5\
\xd71\x04l\x00>@\xbc\xea\xca\xa9\xd8\xf7\x1d\xcc\x9cJ\xf0\x19I\x1f\xd3\x02"\
\x84\x80\xf3\xa9\xeb\xb1\xa9{\xcf\'\x9d3\xe1Bd\x15\x1c\x83\xd6/\x15\xbaD^\
\x84\x80\x8f\xa09}k\xf6\xae:\x83\x95\xe1\xe70D\xa8\xe3\x0c\xb2\x1b\xd1\x0f\
\xf6>\xcbAy\x7f\xe8\x0ftv\xc3\x0b\xe0#\x12/+\x15\xa9{\x11)gA\xdd\x7f\x16+9\
\xd22lk\x99\x1f\xd4\tVc&\x87\xd9\x8aSW\x87}\xea\x99\x84\x9e\xcf\xd1!P\'X\x07\
_\xcb\xe1\xfc;\xb6\x13W\xc1\xe7s|\x011\xedK\xd3\x8d\xab\xcbv\x00\x00\x00\x00\
IEND\xaeB`\x82' 

def getResetChipBitmap():
    return wxBitmapFromImage(getResetChipImage())

def getResetChipImage():
    stream = cStringIO.StringIO(getResetChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getDeleteChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\x00\x00 \x08\x06\x00\
\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\x01\
\xe5IDATx\x9c\xedWY\xb2\x84 \x0cl\xa6\xe6^p3\x9b\x9b\xc5\x93\xe5}\x08\x1a0\
\xb8\xcc8\x7f/UT\xb9\x80\xdd\xe9$\x10\x03\xa0\x8abd\xc0\x15#\xf5|\xd2E{\xf7\
\xe0\xd3t\xbc g\x00\x08\x00\x1e#\xa1\xba\r4C\x15Jb\xf7\xbc]\xf3\xddxwd\xd6\
\xab}8\x9e\x93\xdd\xda\xeb\'_\xfd\'p\xc3\x9a\x1c \xf3p\xa2\xf7\x8e<)\x99;\
\x04\xc8\x8c\x94\xd2\xfa"%\x80\xf4\x17M\xd3\x84\x10\x02\x80\x87\x08\xf4\xe0\
\x00 "\xee\x82\x18#r\x1e+u\x9b\x00\x991\x9d\xed>\xc6\x9e\x04\x07\x8a\x02\xf3\
<_\x9a<R\xe5\x1b\xfby\x15\x10\x01\xc4\xf8\x8c\xf9)\x01"`BM\xd5\xe0\x92q\t\
\x88\xc8\xd7rWp\x00\xa8Yc\xc9\x1c\x12\xe0\xa8\xfe>\x04\'\xb6\x93\xa4O\xe1a\
\x08\xfa\xb2\xbc\x0c\xce\x0c\x9e\x80\xd3\xcc\xefN\xc3\x05\xf8L\xfeE\xa1\xfd\
\xe9X\xf7\x13U-\x1bU\x0bnW\xb1\xf4\x14o`_^G\x04\xce\xc0c\x8c\x98\xe7y\xcd\
\xa3@\x82\x18\x87\xe1\x83\xd6\xc6\x01/I\xc5\x1d\xd1\xed\xbaWBD\x90R\xc4\xabm\
v\xac\x87\xa3\xb1\x07\xaf\xd9]\xdf*\xfcD\xb6\xe0\xd6\xa3AKv\xdeN\x11P\x96\
\x1b\xd66\xae\xbb\'\xa9\\\xbaX\x05\xa0"\xa2"\xe2\xb5d%iT\x91s.-\xd98:\xb6\
\xd4\xfa}\xaez\xda[\xf5<\xa5\xb8>\xeb\xfa\x01\xae\xd9\xbb\xc4h\x0cn\xc1`\xa8\
z\x9b.I\x17\xbc.]\xe5\xb7\xd2\x1c\xc9^o`;\xe8\x830\xf4\xb2\x0f\xbb\xe2\x85eu\
\xfb\xb88\x8e<\xb7\x1b\xce\x81\xe7\xbd\x02Z\xfe\x05\xd4$\xcdH\x89\xcds:\x9e\
\xe3\x82\xe7\x83\xff\x02\xac9\xd0\xfa\xd6\xaaA\xc0M@\xbb\xc1\\\xf0\xdcW\x80\
\xa4a\rW\r>\xe0y\xa3\xba\'\xef\xf2\x81%$\x96\x80\x884u\xdd\x87\xe1\x1e\xb8K\
\xc0\x89sQ\xa5\x05\xf6I\xdf\x03W\r\xe5\x03\'f#}a\xfa\r\xfb\x03\x8d\x01J\x80r\
\xb8\x07\xf5\x00\x00\x00\x00IEND\xaeB`\x82' 

def getDeleteChipBitmap():
    return wxBitmapFromImage(getDeleteChipImage())

def getDeleteChipImage():
    stream = cStringIO.StringIO(getDeleteChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getReadChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00$\x00\x00\x00#\x08\x06\x00\
\x00\x00\xfc\x05\xa8 \x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\
\x02aIDATx\x9c\xdd\x98\xdb\x92\x9b0\x10D\xcf\x08\xe7\xa7\x93\xd4.\x1a\t\xf2\
\xd3\x8b:\x0f\xb2Y\xb0\xd7\xdcL*\xa9\xc8\xa5*s\x1b\x1dZM\x0b\xdb@\xe2\x1fj\
\xe1o\x03\xdc\xb7\xff\x0fh\x90Qt\xde}\x1d\xa8d\xe37\xe9\x1b\x01(EH\xcd)@\x97\
c0\x06\x08\x0b\x05\x04)\x81TN\x01\xda\xa1\x90=nk\xa8Ed\xd8\xfda\x00\xd9jwO\
\xb3K6*\xf4\xd5h\xb7\xfd\xe2\xc7\xdb\x84\xa1\\@\xc2\x9a\x01Lu\xe0\x1dm\x83Bk\
\x05\xa7\x9e2d\x05BA7\x10\xdb\x17s+\nm\xbd\xbb\xaaT\xd3\x80\x8aH\x11\xca\xcd\
\xe3\xe7)\xb4\xaf\x10X}\xda.0\x18\xd5S;a\xe0\xa9B\xfb\x0b\x8d\xd7}\x88\xf7\
\xb7c0\xf0\x85B\xde\xe6\x830\x13\xa8\x05\x18O\x8e\'_* \xddz\x8a.@}\xec\x04\
\x1c\xeb\x0b\x1fw\x1f\xc7r\xf7\x87}\xd7\x85\xfes\xa3o]\x10D0\xa5\x98\xff\x18\
\xcc\x14j\x11HCP\x8d9d\x04e?\xa0\xd4\n\x8cd*\x85\xb9RO\x81\x84Tl<\x10\xf8&\
\xf7\xf6%\xa89LP\x19\xc2\x03\xd4S\xa0\x9cQQ\x05J)\x8d\x03x\x9bV!\xcc\xec\x01\
\xaa\xc2\xdc\xf6I\x18\n\x98\xba\x16y\xb2u\xa0\xe8\xa8\xf3\xcf\x13\xa7\xe6\
\xce\xf9\x80\xa7\x1ez\x85\x8a\x1e\xe4\xdd\x06\x85@\xea\xfc\xf3D\t\x11\x10V\
\x97\xc2\xf9\x1d\xbf\x005\xe9\x83\xd0\x87x\x0e\xf4\xe8\xa9z\xb2\x81\x08\xa6.\
\x1e\xf0\xd4\x13\xa8\xa2F\x83P\xd9\n\xd4\xa70\x02u\xa9\xafO\x9f\x99\xbat\xd2\
\xf4\x81\xac\tJ3?-\x00\xe5\x88\xe2d\ns\x7f5\xb7\xa1.\x9e5}\xccl\xb2\x08t\xef\
\xa9R*L0\x04A}\xfb\x9aR\xd9\x93\xb2\xff\xba\x1bs\x05h\xe6\xa9\xf2\xe9)@\x97\
\xa39\x05J\xd1ep\x8d\x97\x83@}\xaa\xa1\x06\x9a\xc5\xc0\x96\x9c\xbaW\xa6\xb1 \
3[N\xea\xd5\xe9\x8b\xcd,\xa7\xa6\xeb\xdd\xd6\x9c\xeaR\x1eC\xf4e\xa0{OIaWNe\
\x9f+Yoh%\x18\xf7\xf4"\xdb\x9cS\xee.3\xbb\xaas[\xb87$\xf5\x9e\x9e\x92m\xca\
\xa9\x94\xd2d\xad\x0b\xca\xb9_\xa8\xfb\x02P\xbb!\xa7\xe60\xcf\xa6\xe9$\xa0{O\
\xad\xe5\xd4\xf3i:\x11h\xda%T\xd4\x8c\x9e\xeaR\x96\x11&/{\xeb5N\xfd;&N\xde\
\xdd\x85\x18T\x10\x85\xe8-?\xdf\xbeo\xaaaW\x99Nim\xac\xbf6\xda\xf7\xe3%\x7f\
\x03\xc45\x1b\x0e\xbd\x1d\x06-\x00\x00\x00\x00IEND\xaeB`\x82' 

def getReadChipBitmap():
    return wxBitmapFromImage(getReadChipImage())

def getReadChipImage():
    stream = cStringIO.StringIO(getReadChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getWriteChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00$\x00\x00\x00#\x08\x06\x00\
\x00\x00\xfc\x05\xa8 \x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\
\x02aIDATx\x9c\xdd\x98]\x8e\xdb0\x0c\x84\x87tr\xe9v\x93J\x94\xec\xbdWQ\xa0\
\x97Zk\xfa\xa0l,\xab\xf1\xbf\x8b\x16\x15\xa0\x07%\x02\xf5\x99\x9c\x0c\xe5\
\x08@\xe2\x1f\x1a\xfa\xb7\x01\xea\xf1\xff\x01\xf5\x14$\xee\x0bC\xc8\x19@C\
\x10\xf2\n\x05\x90\x12A6\xbb`j\xa8\xcb>\x18\xc9\xa14\x01\x04B\x00\xc8\xb4\
\x19\xa6\\\x0b\xf2okC\x86\xea\xf4\n\xc0>\x07\xa1@~\xcf\xfe*\x98\xcfa\x16\x9e\
[\xb8<13\xc7{\x99\x1a\xb2W\xf2\xd5w\x13\x07\x98\xd9\xe8\xac\x030c(\x12L\x14\
\x92C\x80m0\x8b@k`\x06(UP\x00F\xbf*\xed/`f\x81\xb6\xc0\x14\x99\xba\x80\xde\
\xf6\xc2L\x02\xed\x81\xa9\xca\xb7\x0b\xe6\x05\x90\xb9p\x10\x08\xb3@\xf30\x15\
P\xf0F\x00\xec|{\x18\xea\x94\x0cu\xce\x08(\xa1\xc2\xe0\xe3\x1f\x03\x9a\x87*\
\x16\xec\x95\xd9\xe6@\x812\xda\xfeL-\x01MA\xc9\x83\n\xc0\xe7RrK\x80@q\x85\
\xb3\xaf\xb8\xdf\x1d\xb6\x0e3[\xbd\xf7~\xbf\x95\xcb\x81.\xc6ll\x00\x19\xc2 \
\xee5B\x17\x91\x85=$\x04T\x08[\x07Z\x90\x97\x89\x1b\xf5\xb2>\x01\xef\x8f\x96\
r\xbb\xbd\xa1\xf3m~\x02wC\x8cq\xf6)9$zb\xe4b$!>T\x01\x9d\xdc?&lm\xdc\n\xa0 $\
;p\xae\xf9qK(gO\xf0\x83\xe5\xe73\xba#A&<\xc5\x06\x15\xb6\xde\x9d\x06\x95\xd8\
\xb0\'\x98\xd6\x02uA\x9f@m\xe8\xb2\xe4E\xd8\x86c\x960@\x81\xd2(\xc3HO3@\xd1\
\xe7\xbe\xf4\\w\x0fq\x0b\xd8\xfa\xe3\xe5\xfb\xf1\xfd\'\x01\x8cd2\x0bTk*\xa5\
\x0c\xa3\x02\x02\xca\xce\x1d\xcbT\xb4\xc0h\xef\xd5\x99\xeb<,k*\r\x9a\x02\xc0\
\x0b\xae4\xdb\xa7\xa9\xe0\x8d\x02<\xece\'P\x17\x94|\xf8T\x8cCv\xb66\xe4h\x81\
\x8d(Ed\xeb\x05\xad*\x9fo\xd8\xda \xc0\xb2\xdf\x95\x80s\xb3\r\xf1i\xa2\x87\
\x81jM\x91\xba\xc9\xa7\xa2\x8d3\x99\x1f\xa8>c#P9\x13e\xb5O\x99\x19E\xe4\x91\
\x9d\xcf\xc6\xfd*\xee\x01\xa0\x10d\x95O\x85\x10\x8a^\xa7\x8c\xb1\x9b\x89{\
\x00\xc8\xad\xf0\xa91\xccT\x99N\x02\xaa5\xb5\xe4S\xd3e:\x11\xa8\x9c\xacz_\
\x1b"\x05Z\\\xf6\x96c\x9c\xfaw\x8c/\xeed\x04\xd13\x81H\xf0\xe6\xf0v\xff\xb2*\
\xc6\xe8\xc6xt8\x9f\xdf\xdb\xdd\xb7\xfd!\x7f\x01k\xbd\xf9*\x81$ \xbf\x00\x00\
\x00\x00IEND\xaeB`\x82' 

def getWriteChipBitmap():
    return wxBitmapFromImage(getWriteChipImage())

def getWriteChipImage():
    stream = cStringIO.StringIO(getWriteChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getResetChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\x00\x00 \x08\x06\x00\
\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\x01\
\xb3IDATx\x9c\xb5Wm\xb2\x83 \x0c\\\xde\xf4^}7k\xbcY<Y\xfa\x83\x0fC \x08U3\
\xc3h\x01\xb3\xebfA\n@\xa4\xd7\x88H\x00t\xc7\xeel\x7f\x18\x84\x08\x00\x84\
\xd1\x94;\xa2\xc7\x0c\x02@\x88HD\xe4Q%^-\xa1\xe3\x8d\x89\xa8P\x0c!$^\x0f*p\
\xd4\xfdh"\xf2\xb0\x12\n\xfc\x009\xc0s\xc4q<@B\x813s!\xd1\x8b\'\x94(\x1e\xd8\
\xf7\x1d\xef\xf7\xdb-T\xf4\xc0Q\xb4\x1b=\x11\xdf\x88\x99+\x05\xb4\n\xd6\x17\
\xf7*\xa1\x96\x1d37`\xbdv\xaf\'\x14\x01\x0f\xcc\xfe\xbe\xd7\x13\x86\x80^\x8a\
\xf3\xc6\xbc\xa0\x84]~\xcc\\Hdp\x8f@\x9cwQ\x89\xfc\xb0\x06\xc9^\x18\x193\x83\
\xe7\xf6\xb3\x12#\x02\x9e1-xMbQ\tK\xa0g\xbc\xb6\xf9\t\xd7\x95h\x98\xb7\xad\
\xfeF\x9c\']SB=\xe4-?m\xccYig\x95\x08\x89E\n\xbd\xdd\xc6\xee\x10\x02D\x04[\
\xf0\x0f&\xe4l\xc9D[\xfa\xa4\xf7\xc7\x0b\x94\x95\xa4r; \x94\x06\xabk\x8a\xac\
\x8eg\xcc\xe9\x12\xd8\xce\x0c\\\xf6\x02\x87\xc0U"\xa5\x04d\xce~\xff\xcc\xf5\
\xd71\x04l\x00>@\xbc\xea\xca\xa9\xd8\xf7\x1d\xcc\x9cJ\xf0\x19I\x1f\xd3\x02"\
\x84\x80\xf3\xa9\xeb\xb1\xa9{\xcf\'\x9d3\xe1Bd\x15\x1c\x83\xd6/\x15\xbaD^\
\x84\x80\x8f\xa09}k\xf6\xae:\x83\x95\xe1\xe70D\xa8\xe3\x0c\xb2\x1b\xd1\x0f\
\xf6>\xcbAy\x7f\xe8\x0ftv\xc3\x0b\xe0#\x12/+\x15\xa9{\x11)gA\xdd\x7f\x16+9\
\xd22lk\x99\x1f\xd4\tVc&\x87\xd9\x8aSW\x87}\xea\x99\x84\x9e\xcf\xd1!P\'X\x07\
_\xcb\xe1\xfc;\xb6\x13W\xc1\xe7s|\x011\xedK\xd3\x8d\xab\xcbv\x00\x00\x00\x00\
IEND\xaeB`\x82' 

def getResetChipBitmap():
    return wxBitmapFromImage(getResetChipImage())

def getResetChipImage():
    stream = cStringIO.StringIO(getResetChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getDeleteChipData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\x00\x00 \x08\x06\x00\
\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\x00\x01\
\xe5IDATx\x9c\xedWY\xb2\x84 \x0cl\xa6\xe6^p3\x9b\x9b\xc5\x93\xe5}\x08\x1a0\
\xb8\xcc8\x7f/UT\xb9\x80\xdd\xe9$\x10\x03\xa0\x8abd\xc0\x15#\xf5|\xd2E{\xf7\
\xe0\xd3t\xbc g\x00\x08\x00\x1e#\xa1\xba\r4C\x15Jb\xf7\xbc]\xf3\xddxwd\xd6\
\xab}8\x9e\x93\xdd\xda\xeb\'_\xfd\'p\xc3\x9a\x1c \xf3p\xa2\xf7\x8e<)\x99;\
\x04\xc8\x8c\x94\xd2\xfa"%\x80\xf4\x17M\xd3\x84\x10\x02\x80\x87\x08\xf4\xe0\
\x00 "\xee\x82\x18#r\x1e+u\x9b\x00\x991\x9d\xed>\xc6\x9e\x04\x07\x8a\x02\xf3\
<_\x9a<R\xe5\x1b\xfby\x15\x10\x01\xc4\xf8\x8c\xf9)\x01"`BM\xd5\xe0\x92q\t\
\x88\xc8\xd7rWp\x00\xa8Yc\xc9\x1c\x12\xe0\xa8\xfe>\x04\'\xb6\x93\xa4O\xe1a\
\x08\xfa\xb2\xbc\x0c\xce\x0c\x9e\x80\xd3\xcc\xefN\xc3\x05\xf8L\xfeE\xa1\xfd\
\xe9X\xf7\x13U-\x1bU\x0bnW\xb1\xf4\x14o`_^G\x04\xce\xc0c\x8c\x98\xe7y\xcd\
\xa3@\x82\x18\x87\xe1\x83\xd6\xc6\x01/I\xc5\x1d\xd1\xed\xbaWBD\x90R\xc4\xabm\
v\xac\x87\xa3\xb1\x07\xaf\xd9]\xdf*\xfcD\xb6\xe0\xd6\xa3AKv\xdeN\x11P\x96\
\x1b\xd66\xae\xbb\'\xa9\\\xbaX\x05\xa0"\xa2"\xe2\xb5d%iT\x91s.-\xd98:\xb6\
\xd4\xfa}\xaez\xda[\xf5<\xa5\xb8>\xeb\xfa\x01\xae\xd9\xbb\xc4h\x0cn\xc1`\xa8\
z\x9b.I\x17\xbc.]\xe5\xb7\xd2\x1c\xc9^o`;\xe8\x830\xf4\xb2\x0f\xbb\xe2\x85eu\
\xfb\xb88\x8e<\xb7\x1b\xce\x81\xe7\xbd\x02Z\xfe\x05\xd4$\xcdH\x89\xcds:\x9e\
\xe3\x82\xe7\x83\xff\x02\xac9\xd0\xfa\xd6\xaaA\xc0M@\xbb\xc1\\\xf0\xdcW\x80\
\xa4a\rW\r>\xe0y\xa3\xba\'\xef\xf2\x81%$\x96\x80\x884u\xdd\x87\xe1\x1e\xb8K\
\xc0\x89sQ\xa5\x05\xf6I\xdf\x03W\r\xe5\x03\'f#}a\xfa\r\xfb\x03\x8d\x01J\x80r\
\xb8\x07\xf5\x00\x00\x00\x00IEND\xaeB`\x82' 

def getDeleteChipBitmap():
    return wxBitmapFromImage(getDeleteChipImage())

def getDeleteChipImage():
    stream = cStringIO.StringIO(getDeleteChipData())
    return wxImageFromStream(stream)

#----------------------------------------------------------------------
def getInventronikLogoData():
    return \
'\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00\xf8\x00\x00\x00*\x08\x06\
\x00\x00\x00\x9e\'\x96/\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\x08d\x88\x00\
\x00 \x00IDATx\x9c\xed\xbd\xd9\xaf\xe5\xd9u\xdf\xf7\xf9\xcd\xf3\x19\xee\xb9\
\xf3TsUWuuU\x0f\x14\'Y\x14)\xc9\x92-\x8a\x16\x12\x812\xac\xd8A\x90\xb7\x00r\
\xde\x12;\x0f\xf9\x0b\x0c\x07\x08\xf2\x12\x04\x88\xec\x00yp\x90\xc8\x0e\x14[\
V4S\x12E\x91M6\xc9fO5\x0fw\xbe\xf7\xcc\xbfy\xda;\x0f\xbf\xd3\xb7\xaa\xba\xaa\
\x9a\xcd\xee&\x9b\x11\xea\x0b\x14\n8\xf7\xfc\xf6\xde\xbf\xb5\xd7\xdak\xed5\
\x1dEJ)y\x86gx\x86\xbf\x95P?\xe9\x05<\xc33<\xc3\x8f\x0f\xcf\x04\xfc\x19\x9e\
\xe1o1\x9e\t\xf83<\xc3\xdfb\xe8\x1f\xefp\x12!\x04B\xd4 \xc5\xec3\x05EQQ5\rEy\
v\x9e|\x12\x90R \xea\x1a)\x05 i\xf6DAQ5TU\x05\x94Ox\x85?}\x90\xb2\xe1c)\x1e\
\xd0\x0cEAU\x1f\xf0\xb1\x10\xd5\xe3\x7fW4T\xed\xa7\x87\xa6\x1f\xab\x80\xc7I\
\xc1\x9d}I^J\xde\xf5\xdd\t)p\xb5\x90\xcdE\x1d\xbf5\x87\xaaj\x1f\xe7\x94\xcf\
\xf0CP\x94%\xb7w+\xe2\\i\x04|\xe6R\x95"\xe3\xd4|Nw\xae\x87\xa6\x9b\x9f\xec"\
\x7f\xca D\xcd\x8d\xed\x8a8\x93H)\x90\x12$\x12Q%lt\x0b\xe6\xe7\xbb\x1c\x8e\
\xe1p\xa2!d\xfd\x80\xa6u\xcer+fiq\x0e\xd3r\xf8i\x10\xf2\x8fM\xc0\xa5\x94\xec\
\x0fk\xbe\xf9\x83\x9b\xdc\xbe\xfb6\xb6\xed \xa5\xc4\xd4t.\x9f^\xc7\xcc&\x9c\
\xbe\xf8\x99g\x02\xfe\x13F\x9c\x94\xdc\xda\xcd\xf8\xde\x1b\x7f\x8d\x10\x8dU5\
\x1a\x8ex\xe9\xf2\x8bh\xd3\x03<\xef38\xcf\x04\xfc\x11\xa4Y\xce\xf6a\xc1\x1f\
\xfe\xf9\xef#dM\x10\xb4\x00\x85\xe5^\x8fj1\xc2\xd4/rk\x7f\x81o}\xf7/\xc9\xf2\
\x04\x00!\x04\xeb\x8b\xab\xa4\xbd\x11\x81sy&\xe0\x9f<>6\x01\xaf\xeb\x9aq\x98\
\xf3\xe6[\xaf\xf1\xfa\x9b\xdf\xc5u\x9a\x17<\xb9q\x92\xab\'\x03\xe2h\xf0qM\
\xf5\x0c\x1f\x10R\n&a\xce\xf5\x1bo\xf0\xadW\xbf~lU9\xb6\xc5\xcf^}\x8eh\xb4\
\x8d\xa8_\xf9\x84W\xf9\xd3\x87iX\xb0\xb7\xbf\xcd\xb5\x1bo2\x99Np\x1c\x07\xd7\
\xb6Y\xfd\xe2/\x91\x8c\xef2\r7\xe8\x0f\xe0\xaf\xff\xe6\xcf\xa8\xeb\x1a\x00\
\xdd0X\xfeB\x87"\xda\xa7,\xcf~\xc2o\xf0\x00\x1f\x9b\x80WU\xc54.\xe8\x0f\x8e0\
\x0c\x03\xcb\xb2\x10R\xd0mw0\t1-\xf7\x99\xf6\xfe\tC\n\xc14\xae\xe9\x0fv1\xcd\
FK\x0b)\xf1\x1c\x0f\xcfR01\xd1\r\xeb\x13^\xe5O\x1b$q&\x19N\x06\x08Q\xa3k\x1a\
\xa6a\xe0:.\x8b\xdd\x005NIK\x83\xc1\xb8\xe1s]\xd7\x91\x80m\x1a\xb4=\x0bM)0\
\xcc\x9f\x0e\xf3\x1c>F\x01/\x8a\x9c()\x90jM\xb7\xdb\xc50t\xaa\xaafi~\x11\x91\
\xdd\'h_EQ\x9f9\xd9~\x92\xa8\xea\x9aiRP\x89\x02\xd7s\x01\x10B\xb28\xbf\x88\
\xc9\x08\xaf5\x87n<3\xcf\xdf\x8b(\xc9\xa9\xab\x82\x0b\xa7\xcfa\xe8\x1a\x86nb\
[&\xba\x98\xe0\xb7\xe6)\x84\xcbtr\x0b\xc7u\x1bG\x9c\x94t\xbc\x16\x81\r\xa6\
\xd0\xb0\x1c\xff\x93~\x85c|,\x02.\xa5d\x12W\x8c\xa7ctMCU\x9a\xd3K\xd6\x15-\
\xdfBSJ\xfcv\x0fP\x8e\xbd\x93\x88\x87\x12\xe8Te\xa6\xdd\x15\xa4\x9cy.\x9f\
\x96_\xa76^\xf9\xe6\xdf\x83SRJA]7^\xcdwMQUU\x1b\xaf\xa7\xaa=\xf2\xdd\xc7\xd7\
/\x10uuln\x1dO\xa5ih\x9a>{\xf6\xe1\xe7%r\x16-\x10\x0f\xcd\xf74\xa8\xeal\xbd\
\xea\x93\xd6-\x91\xa2~\xc4\x01\x86\xa2\x1c\x7fWJ1\xa3\xc7S\xe68\xfe\xae\xf2\
\xd8:\xd3\xacd0\n\xe9\x0f\x1e\\\x8f\xf2<ceq\x05\x99\x1d\xe0\xae\x9ci\xf6\xa2\
*\x8e\xd7\xd7<\xdfDCxxM\xaa2\xf3\xb8\xabO\xdf#\xf5]/\xf3\xc3\xebh\x1c\xae\
\x8f\xed\xf9\x0f\x83\xc2l\xdf\xd4\xf7\xec\xddS\xc6\xfb\x18x\x08\x9a\xfdXig\\\
]\xab\xb8\xd8\x0b0\x0c\x0bE\x81\xb2HQ\xd3\xb7X9\xf3\xb3lM\x05\xa3\xe9\x08\
\x90\xf4\xfb\x03\xa4\x14,\xcd-`\xa91\x9e?\x87\xf1D\xab\xa8\xa1\xe9c{\xa9\x00\
\x8a:\xe3\x91\xf7\xf2\xd9G\xc7\xc7$\xe0\x82IXs\xeb\xdeM\xb6\xb7\xb7\x8f\x19~\
\xae\xdd\xa1e\nLE\xc5vZ\x14e\xc9\xad\xad\x88()\x11uy\xfc\xbc\xa5\xe5\xf4Z\
\x10Wm\xc2\xa4B\xd4\xd5S\xe7\xd2T\xb0MA\xcb\xae\x98\xefup\xdc\x16(*\xdb\x07!\
\xf7\xf7\xb3G\x04N\x91\x15\x1b\xbd\x8c\x95\x95\x15l\xc7\xe7I\xc4\x13\xa2\xe6\
\xden\xc8\xfe\xa0\xa0\xaa\x04b\x16\xde\x13uM\xd7\x8d9{r\x01\xcf\x9fCQ\x9a\
\xefN\xc3\x84\xfe\xb8$LJ\xf2\xbc\xa6\x14Z\xc3lO\x81\x8a@\xd7*\x0cM\xc5\xb3\
\x04\xbd\xb6F\xa7\xdb\xc30\x1d\xa4\x14l\xed\xc7\x1c\x0e3\xea\xaa\xe4\x01G\
\xd6\xac\xb4RJ\xb5\xcb8V\xa8\xab\xf2\xa9\x87\x88\xa2\x80m\x80c\xe4,\xf5<\xbc\
V\x17M3Q\x14\x854+\x19N"\xa6\xe1\x18\xd7\xf5\x9a\xf5\xa8*\xbd\xb9yh\xaf\xb13\
\xd58z\xb3\x8f\x04\xdaN\xce\x89\xb59,\xdb\xe7\xf6N\xc48|t\x8f4\xb5d1\xa8\xc9\
d\x9bi"\xa8\xeb\xf21\x01\xb2\xf4\x82\xd3k\xfe,Z\xa2\x12\'\x19G\xa3\x9ci\\\
\x91\xe5\xe5,\xa4\xf4\xc1\xa0*\x12\xd7\x92t\xbc\x9a\xde\xdc\x1c\x96\xe3\xa3\
\xaa\x1aEQrk;&\x8c\x8b\xa7\xf0P\x8b0\xa9?\x00\x0fIZv\xc9|\xaf\x8d\xe3\xb6Q\
\xb5F\x14\xb2,\xe7\xfe\xd0A\t.\xa1\xd9\x05\x82\x99\x02\xe0\x90\x13\x1bkx\xed\
%\xc6\xbb\x05o\xbe\xfd&Q4%I\x12\x82 \xa0\xdb\xeaB\xb6O\xb0r\xfax\xacw!D\xcd~\
?d\x7fPR\x96\x05\xf2\xa1\x83IH\xc9BK\xb0\xb96\x8fi\xb9\xbc\x8f\x1e\xfaP\xf8X\
\x04\xbc\xae\x05\xd3\xa4D"\xd8\xd8\xd8\x04\x1a\xa2,tz\xd8z\x86\xeb\xb41L\x8b\
\xc3Q\xcc\x9b\xb7\xfb\xdc\xba\x7f\xf3X\x90d]qn\xe3\x04\x87\x9dyv\x0e\xefp4\
\x1cP\x8bG7GJ\xc9\xee\xee\x0eEQ\xb2\xb8\xb0\xc0\xda\xf2:\x1d\xdf\xe1\xe4\xdc\
>\xcf\x9d\xdb \xe8,q4\x8c\xf9\x0f\x7f\xfa\xe7\x08U\xa0\xa9\x06R\xd6t=\x9ftC\
\xc1\xd6J\x967.\xa2\xa8\xef\xa5\x9ed4\x8ex\xe7\xee\x84\xd7\xde\xfe>q\x926\
\x9f\x8a\x8a\x96c\xf3\xc2\x9a\xcaR\xab\xc6\xf5\xda\xe4E\xc5\xed\xad\x88\x9d~\
\xc1\xe1`\xc0\xfe\xd1>\xb7\xef\xdd\xa2\xdf?`\xae\xb7@\xb7\xdb#\x8a\xa6H \xf0\
[\xb3q\x04\xa3a\x9f\x95\x95U<7\xa0\xe5\x05,w\x1c.\xacls\xf2\xcc\x0b\x945\\\
\xbb7\xe6;o\xfc\x808\x89P5\r\xcb4X\xec\xce\x13\xae\xae0\x8c\x06l\xed\xedPT\
\x05 \xc9\xf3\x9c8\x8e\xe9v\xbb\xc7\x9aGSTl\xdb\xa5\xe5{\xac\xb7\x0e\xb9xj\
\xc8\xf2\xda\x194\xdd`\x1c\xa6\x1c\r\x0f\x01\x05]o\xb6ZQ\x1c\xfe\xe0k\x7f\
\xc4\xd93\xe7\x8f\xef\xe5\x8a\xa8\xb9\xb4\xd9\xc3\x96G\xf8\xbd\xb3\xbcu7\xe2\
{o|\x87\xb2\xae\xd0u\x1d\xd308\xb5\xba\xc1\xa8\xb7\xc0\xfe`\x87\xfd\xa3}\xaa\
\x99\x00UU\xc9p8d\xae\xdd\xe2\xfc\xda\x02v\xadq\xea\xfcK\x8c\xc2\x92k\xf73\
\xf6\x8e\xfa\xbc}\xfd\x1d\x0e\x8e\xf6\x99\xeb\xcd\x13\x04\x01q\x14\xa1\xaa\n\
\xce\xec\xd0\x11B\xd0\xef\x1f\xd1\x9b\xeb\xa1\xcd\xd6\xa9\xab\x1a\x81\xd7b\
\xbe\xe5pj~\x8fsgN\x13t\x16\x18\x8cg<t\xef\x06\xf5C<tv\xe3\x04\x9d\xce<\xbb\
\x87\xf7\xd8\xde\xdfa<\x1d3\xd7\x9d{\xa2\xe5\xa6H\x05E\xc2\xd2\xfc\x1c\x17\
\x96\xf7x\xee\xec\x06\x9d\xf95TUc0\x8a\xb9\xb9\xd5\xe7\x8d\x1b?`\x7fo\x97\
\xee\xdc<\xa6\xa6\xf3\xfc\xc9U\x16\xdc\x11Nz\x820IXX\x98gn\xae\xcbh4\xc2\xd4\
5\x96\xe6;P\xdf\xc1o\xcf\xcf,\x1df\xefV\xb3\xb5?\xe1\xed\xbb)\xdfx\xed\x1bX\
\xb6=\xe3iPD\xc5Ro\x1e\x962\x96{\x0e\xa6\xe5\xfeHr\xf7A\xf0\xb1\x08xQ\x14\
\x84QJ\x9cL\xd1\xf4&y\xa2\xae\x05\xbdv\x17\xb5\x1a\x11\xb4\x97PT\x8d\xf1$a\
\xbf\xbf\xc7\xbd\x9d\xdb\xc7\x1a\xc92L\xe6\xdb=\xfe\xea\xb5W\xa9d\xf5Dm8\x1e\
\x8fA6\xda\xaa\xdcO\x19N\xfb\xe8\xaaNy\xfe4\xb6\xf2:\x17\xaf\xfe\x1c\x86R\
\x91f)i\x19\x1f?\xa7\x89\x92\xa2Z`\xd4\xdffi\xfd\x02\xca{\x12\xf7\xaa\xaa\
\xe2\xce^\xca\xf5{\xb7\xd9\xd9\xdfnL|\t\xba\x84+\xa7_\xc2\xc8\xbf\x89f\\F\
\xd45\xd7\xee\x8c\xb9\xbe5\xe1\xf5k\xdfg4\x1e2\x18\xf6\xa9\xeb\x1aM\xd7H\xf3\
\x181\xaa\x98\x8c\xc7\x80BQ\xa6\xc7s\xec\x1d\xeeQ\xca\x12\xc30PU\x8d\xe5\xce\
\x1cF\xe9\xd3jm!\x8d\x1e\xfd\xd1\x88\xad\xfd{\x8d\x06W\x14\xa4\x10\x04\xb6\
\xcb\x9bw\xeepg\xfb6y\x9e\x1d\x8f\x15E\x11\xa3\xe1\x88\xb5\xf5\xb5G\x98\x08@\
\xd7t\xd2\x13\xa71\xaa\x1d\x82V\x17\xbf\xd5#\x8ck\xa6\xe1\x04US\xd1\x8d\x99\
\xe0\x18:\xfd\xa3m\xb6\xf7\xee5\x0e")\xe9\xf9-\x0c\xa1\x13\x8eKJ}\x95\xc3\
\xc1\x01\xdb\xfb[\xa8Zc6j\x8a\xc6b\xa7\xc7\xfd\x83\xef\xb3\xb3\xbfCY\x15\xc7\
\xf3\xe6Y\xce\xf6\xd6\x16\xcf\x9f\xbf\x80\xbd\x19\x10\x8d\xc7\x0c\xc7\xe7x\
\xe3N\xceko\xbf\xc9[\xd7~@Q\xe4\r]D\xcehj1\x1e\x8dQU\x95V{v\x10J\xc9\xd6\xfd\
-\xd67\xd6\x1fy\xaf\xba\x16t=\x1f\xf5\xe2\t\\\xfdM\xcez\x9fc4I8\xe8\xefq\xf3\
\xde\xf5c\xb3\xd62L\x96{\x8b\xdc\xdc~\x8d\xbd\xa3=&\xe3\x11\xc3\xa7\xd0\t`<\
\x1a\xa3\xa8\n\x9d\xa0\x8d!.a\xf1}^h\xf50,\x97qTq\xd0\xdfc8\xeasxt\x80T%\x81\
\xe3\xe1\x98\xab\xa4\xd1\x80i\x981\x8d\'\xe8\x86\xde\x8c\xd1\xed\xe0\x99&\
\xdd\xc0\xc6P$\xae\xd7\xe1]KQ\x88\x9a\xbd\xc31\xef\xdcM\xf8\xfa\xab\xdf\xe0{\
o\xbc\xc6\xca\xea*\x8a\x02\x9a\x84s\x9b\xa7X\xf7\xa7\xa8\xe5\x10\xdd\xf8\xd4\
\xfb\x89\xd8\x87\xc6\xc7"\xe0Y^0\x9e\xc6\xec\xee\xed\x82\x02\xddN\x97,\ri\
\x07>\xb2\xb8\x85\xd7\xbe\x8c\x14\x820.\x89\xa2\tq\x14\x91e\xef2\xae\xc2\x9d\
;w8<:\xe4\xf9\xe7/\xe3\xb8\x8f\xc6\x0f\xa5\x90\xe4Y\xce\xca\xca\n\x9a\xfe\
\xc0\x0b\x9f\xa7\t\x930d2N(\x8b\x14S\xcbX\x98\x9b\xe3\x9d\xdbG\xf8~\xe3\xe4H\
\xb2\x8cR\x18\xa4\xc9\x18!\xaaGL\')%G\xc3\x90{{Cv\x0f\xb7\x08\xa7S\xf2<CJ\
\xc9\xe53\xe7Ym\xe5\x18U\x8f\xa0\xbd\xc8\xe1 \xe2\xce\xee\x98\xd7\xaf}\x9f\
\xc9tL]W\x88\xbaf\xae\xdb\xc50L\xe4\xccV5u\r\x81\x82a\x18((\x14EA\x14F\xf8\
\x9e\x87\xd9\xee D\xcdh< +\xdb\x0c\x8f\xee\xa3\xb7=\x8e\xfa\x87\x0c\x07\x03Z\
\xad\x16\x8a\x02\x93\xc9\x84\xd7\xaf\xbd\x8e\xe3z\x8cFC\x8a\xe2\x810\r\x07C\
\x92$ayi\t\xcb\xf7\x1e\xa1SUU\x1c\x0e\x0e9\xd51\x88&}4+`\x1c\xe6\x84q\x88\
\xae\xe9\xc7\xda:\xcf2\xe28&I\x12ZA\x0b\xa4\xa4\xedz\xe82D7\xba\x84\xa9dg\
\xe7>a8\xa5\xdd\xe9 \x85d0\x19\xf0\x9d7\xbe\x83a\x99\x8cF\xa3G\xd64\x18\x0c\
\x98L\xa6\xd8\x96\x85c\xd6h\xba\xc9\xf6a\xca\xcd\xadmv\xf6\xef\x93\xcc\xb4\
\x9dn\x183\x93^\xa2i\x1a\x9a\xa6\x1e[\x15y\x96\x93$1I\x1c\xcfb\xceM\xd8u:\
\x9dP\xa6\t\xd3d\x85\xd1`B\x96F\x84q\xc5p<`:\x99`\x98&\xedV\x9b\xe1h\xc8\xd7\
\xfe\xe6/\xc8\x8a\x1c\x90\x0cftZ\\\\\xc4\xf3=\x14\x94\xe3\xdbYU\x96\x08Q\xd3\
\xeb\xcec\xea\x1aQ\x9a2\x1d\x8f\xc8\xf3\x18M7\x19M\x13\xa2$\xa2\xae+\xe28\
\xa6\x95\xa4\xact\xbbxf\x81i8\xc4\xb9\xc2\xd1\xd1>\x9a\xaa\x11\x85\x11y\x9e1\
\xb7\xb8\x84\xabeX\xa6\x8bi\xbfk\x95\xd4\xf4\x07S\xde\xb93\xe6O\xbe\xfeu\xbe\
\xfb\xfakL\xa7\x13\x96\x97\x97\xb0\x0c\x93S+\xab\\9\xd3A\x99\xbe\xce\xc9\xe7\
\x7f\x11\xd3\xf6\xde\xd7O\xf4a\xf1\x91\x05\\J\xc9h\x920\x1c\x1d\xd2\xeb\xf5\
\xc8\xb2\x8c\xd1h\x88m\x18t\x03\x03MUp\xfd\x0eYQ1\x9aL\xd9\xdd\xdbA\xd7u\xe6\
{\xf3H@\xd4\x15c)X_Z\xa6m\xdb\x98\xbaq<v]\xd7HU\xe0\xbb\x0e\x8ec\xf3\xf0\x1d\
Z\x94%\x9a\xa6"\xaa\x1cQ\xd7\xb8\xb6N\xc7w9<<$I\x9a\xe4\x03\xdfqH\xf3M\xf2<\
\xa3\xaek\x1e\x1a\x9a\xb2,\xb8\xb7=\xe6\xe6\xdd[\xec\xeclc\x9a&\x9e\xd7\xc3\
\x90\x82\x17/lRN\xbf\xcf\xf9\x97~\x01\xc3\xb2\xd9\xbe\xb9\xc3\xd6\xc1.Y\x9e\
\x12\xc71Y\x9abY\x16\xaeea<\xe4\xa8Q<\x1f\x05\x89\xab\x1b\xa0@\x96\xc4\x84a\
\x88\xa6\xa9\xe4y#\x14\xf3\x81\x8b\xa1\t\xf24!\x94\tI\x9e\xb2\xb8\xb8\xc0h8B\
HI\xaf7O\x96\xc4\x94qD\xcbv0\xfc\xe0x\xcd\xaea\x90g)\x9emc\xe8\x06\xef^\xd8F\
\xa3\x11Y\x96\xb2\xe8y(h\x94eF\x9a\xe6DIH%\xde5\xb3\xcd\xc6?\xa1(\xf4\xdamdQ\
\x92G!\x8a\x94\xb8\'M\xa8\x8ep[\xe7\xd9;\x8c)\xca\x94\xe5\xe5\x15\xfa\xfd#\
\xa4\x84\xde\\\x974IPDM`Y\x98\x0f\xad\xc9\xd7uB\xdfg\xa1\x1d \xb3#\xf4\xde\
\x06\xfb\xa3\x88\x1b\xb7\xdfa4\x1c\xe2y\x1e\xae\xebRW5\x1a\x12C\xd3\xc1\xf7Q\
\x15pf\x1b\xa2i\x15-\xd7c:\x1a\x91\xa6\xd9\xec3\x8d\xa5\xa5EDY\xa2k*U\x99\
\x91e9\xa3\xc9\x94\xfd\xc3=\x96\x96\x96\x1b\x8bf4\xc44\x0cl\xd3\xa4\xeb\xbb\
\x80\x82k\x98\xe4iB\xd7i\xf8IQ\xa0\x94\x92\xc1xB\x91\xe7x\x9e\x8f\xeb\xba j4\
UE\xd4\x05uUQ\x969Q\x94R\xd4\x05UU\x13\xc71\x07\x87\x07\\<\xb1\x89Z\x0e\xb0Z\
\x1d\xfaI\xce4\x9e2\x1c\x0e\xb0m\x9bNgy\xc6\x071~\xab\x87\xae\x1bH)\x18\x8e\
\xa6\xbcu{\xcc\xdb\xf7\xb6H\xb2\x88v\xbbEU\x95X\xba\xce\xe9\xd5U\xae\x9c\x9d\
G\x8d\xde\xe0\xec\xf3?\xcb\xfc\xcai4\xed!\xe6\xfc\x18\xf11\x08\xb8 \x8c2\xa4\
\xaa\x12\x04\x01~\xe0\xe3y.\x8e\xaa\xe0\xe9\x05\xb6ab\xd9>Q\x92\x13\xa7\x05\
\x8e\xef\xe1\xb7\x03P\xa0\xaaj|E\xf2\xa5W^\xc27k\xea\xaax\xdc\x99\xa4\xa8L\
\x92\xd3\xdc9\x1a\x90\xbf\xeb\xa4\x91 \xab\x92\xb6k\xa0)%\x9an\xe0\xb9\n\xdd\
V\x9b\xcb\x97/7\xdaJ\x01\xaa\x9a\xb2\x16\x94eEU\xe6X\xb3\xd3UJ\xc1\xde\xe1\
\x88\xdd~L^\x17,,,`Y6uY\xb0\xd1\x9b\xa3k\x0e\xf0\x83ezK\'\xa9\xca\x8a\xfe0a\
\x1aM0\x0c\x9d\xed\xed-\xf2\xbc\xe0SW^\xe0\xc5\xb3\xa7\xe9\x06\x06e\x99?\x94\
{\xdf\xa0\x96\x1a[\xfd\x84\xd1h\xcc\xf2\xea*A+@\n\x81%j\x0c\xb5@U5\xa6I\x89\
\xaa)\xf8\xbe\x8feYT\xb5\xc0V\xe0S\xe7\xce\xb0\xd8u\x10Uv\x9c}\xf6\x80\x1e\n\
i\xa1q\xbf?a\x92g\x08!\xd9\xde\xde"K3>s\xf1"\x9a\xe8\xa3\x1b\x16Y\x96\x93\
\xa4\x19R\nL\xd3\xc04M\xaa"\xe7\xca\xc5\x8b\xac\xfd\xfcgH\xe3\xf1\x8c\xd6\
\x12\xa5\x9e\xd0nyXn\x878\x9db{>\x18\x1a\xab\xe6*B\x08<U\xe5\xfc\xe5Kt}\x83\
\xaaH\x1e\xdb#)%\x1a)\xbe-P\xad\x1e\xc3\x9d\x90w\xae_\'Ib~\xe6\xd3?\x83\x82B\
\xd7\xb3y\xe1\xdcIT\x99Q\xd7\xc5c\x0e\xba/\xbct\x8ea$\xd8\x1a\x8e(\x9b\xdc\
\xd0f\xec"\xc73AS\x04yQ\x13%9\xddn\x97Z\xd4x\x9eG\x14E\xf4\x1c\x9b\xe7N\x9f\
\xc4\xb7\xc4\xfb\xf0\x10\xfc\xde\x9f\xfd%\xa3\xe9\x84\x97_~\t\xc30\x11e\xd1\
\x8cM\x81\xa6\xe9\xc4qJ\x14\xa7\x80\xa4\xd7\x9bcm}\x8d\x95\xa5%V\x16\xe7Q\
\xea\x1d,w\x93\xe4\xa0\xc0\xf1\\\x16\x97\x96pl\x87\xba\xaeXlw\xa0\xe8\xe3\
\xb7\xae\x80\xa20\x9e\x84\xbc}{\xc0\x8d\xedC\x0e\x06\xfb\x04\xad\x16\xbai\
\xa0\xab*\xa7\x97\x97\xb8r\xba\x8d\x1a\xbd\xc1\x99\xe7>\xc3\xf2\xc6s\xe8?\
\xc6L\xc2\x8f,\xe0eY\x12\xc69EU\xa0i\x8d\t\xed\xfb>\x8e\x10\x98J\x8a\x17\xf4\
\xd0u\x93p:$I3\x1c\xd7F\xd43\xa6\xad*\xce\x9d:\xc1\xc9\xce\x80,\xdc\xc7\xf1Z\
\x8f\x15\xa4\xd4u\x85\xa1.0H[\x8c\x92\xa8\x11n)\xb0u\x9d\x96g\xa2\xeb&\x86i\
\xa3j5\x8e^ \x84@\xd3\x1e\x84\xc5\xaaZR\x965e\xf1\xe0.\x9b\xe7\x197\xef\x0e\
\xd8\x19\xf4\xa9E\x85\xef\x07\xd4\xa2\xc6\x16*\xe76\xe6\xa8\x9379\xf9\xc2\
\x971L\x9b\x83\x83\x03\xe2$\xa1\x96\x02M\xd3YZZ&KbN\xad\xadra]g\xb4\xfb\x1a\
\x96n\xa2\xa8\x0f\x91R\n\x8a\xb2`m\xfe\n\x96a\x92\xe79\x1d\xb5\x83T\x14<\xcb\
F\x15\x11h\x8b\xc4\xd3\x8c\xac\xc8\xa8\xaa\x1a\xcb\xb20\x85`\xce\xb6\xb8r6`\
\xba\xfbm\x1c\xbf\x8b\xa6>\xbaERJ&\xaaF\xda]"\x1e\x1c"\x85`ii\x89,\x8e\xe9\
\xb6[ \xf7\xb0l\x9f\xbdaL\x94\xe6\xb3\xa8\x02\xe8\xba\x8eR\x16\xac,\xb40\xa2\
o\xe3\xd9\x1e\x86a\xa1j\x1an0\xcf\xf2\xda\x05\xa2L\x12\xa7\x19E\xd5h\xb4w\
\x0f\xbd\x93+\x8b<\xb7R\x10\r\xdf\xc1r\xfc\xc7\xb5\x8d\xa2\xe0\xf9]\x16V\xaf\
\xb2sT\x90fC\xe6\x17z\xa4\x89\x8be\x9a\xc8\xb2\xe4\xf9\xf3gY\xd0\xafS\xe61\
\xb6\x1f4f\xf3C\xc8\x8b\x02M]e\x98\xb9DY~\xfc\xae\x86ib\x1b\x15\xb6\xe3\x13\
\xa7\x05I\x96\xa3\x19:J\xdd<\xef;6\xe7NnrrnL6\xdd\xc1\xf1\xda\x8f\xf3\x90\
\xa80\xd4y\xceln\xb2ut\x80eY(\xaa\x8a^\xabx\xae\x81\xa6\x19\x18\xa6\xcd\xe1p\
H\x9ag(\xaaJQ\x96\xe4yA\x91e\xd8\x06hJ\x8dP\x1d\x92\xac\x89v\x04~@Y\x95P\x96\
t\xda>\x88]\xbc`\x8e0Lx\xe3\xc6\x11w\xf6\x86\xec\r\xf6\x01\xd0t\rCU\xb9z\xee\
\x1c\xaf\\\\\xa5\x1c~\x97S\x97>\xc7\xca\xe6%\x0c\xd3\xfe\x80\x92\xf6\xe1\xf0\
\x91\x05<\xcfs\xc6\x93)w\xef\xdf\'J\x1b\x07W]\x0b\x9e[]B\xa9\'\x04\xeds(\xaa\
\xcah\x9a2\x0c\'\x00(\x8a\x82D\xa2\x8a\x9ay\x0f\xb2\xf0\x80\xab\x9f\xf9\n~{\
\x1e\xde\xb39U\x91\xf3\xd7\xaf\xbe\x8d2\x18\x1c\xdf\xa5\xaaJ@\x95c)1\x9e\xdf\
E7,\x14\xa5\xc4\xb1t\xf2(f<\x1e5\x87\x8d\x94\xcc\xd9\x06\x95+\x8e\x05\\\x08\
\xc1\xdd\xad>\xb7\xb7\xf7y\xeb\xda\xdb\xa8\x9a\xc2\xdc\\\x0fY\x14l.uq\xeb\
\xfb,n\\\xa0\xd5]\x06\x14&\xd3\x94(m4\xa9\xa2(t\xdam\x12\x15\xe6[\x0e\xa3\
\xfd7P:\x9f\x02\xcd\xa6\x16\x82\xaaj\xc26\xaa\xaaP\x9b\x82*W1,\x93$\x89\xb9\
\x7f\xff\x1e\x86\xaes\xe2\xe2Ed\xbe\x8dPN0\x9cLx\xfd\xf5\xd7\x19\x8eF\xac\
\xad\xad\xe1X&\xe7._ \xdc\x7f\x9ds\x97\xbf\xd08\x06\xdf\x93\xfd\'E\xcd\xdb\
\xef\xdcd\xfb\xfa\xa09\xc4\x14\x95n\xb7K$\x05\x81#0U\x13\xd3r\x98\x86}\xa24\
\xe1\xfe\xfd\xfb\x14E\x8e\x94\x92\xc0PQ\xcb\x01\x8e\xdb\xe2\xcag\xff\x01\x86\
\xe54aXE\x05Ea\xef\xfa\x1d\xfa\xc3>o\xbe\xf1\x03F\xa31\x9b\x9b\x9b\xf8\x96I\
\xe7\xcc*\xd3\xfeu.\xbf\xf2\xcbt\xe7\xd7\xe1\t\x8e+UQ\x11\xa2\xe6\xfa\xbdk\
\xa4eI\xa7\xd3\xc52\xcd&..sZfD\x99\xc6\xbc\xf2w~\x03\xcb\txo<(\x0e\xa7|\xfd;\
7\xd9?\xb8M\x98<\xc8\xef>\xb3\xb4\x88.\xa6\xb8\xc1\x02QR\xb0\x7ft\xc8\xeeN\
\x13\x8a\xb5,\x9b\x8ec\xd1\xf3!\x9b\xeeq\xe5\xd3_!\xe8,<\xc6Cu\x99\xf3\xf5W\
\xdf\xc6\xb2\xfbt:\x1d4MG\x08\x81\xa1)\xb3\xd8u\x17U7\x98LS\xb6\xf6w\xd9\xd9\
\xdd!\x8aB<\xcf\xc5T\xc1\xb7\xc00t\xb2B\xe1\xa0\x7f\xc8\xcel\xfe\xc3\xc3#tQ\
\xf2\x99\x0b\xeb\x98\x86AY\xab\\\xbb\xbe\xcf\xbd\xfd\x11\xf7\x0e\xf6\xa8\xaa\
\xb2\xd9#\t\x1d\xcf\xe3\xec\xe6\t\xf2R\x80}\x92JZ\x94E\x86\xa6\x1b?\xd6\x0c\
\xcf\x8f(\xe0\x92$I\x08\x93\x02\xc5\xd0ph\x1cduY\xd2\xeb\xb6\x91\xc5=\xfc\
\xd6<uU1\t3\xee\xef\xee\xe2\xf8.\x92\xc6yf"\x90\xc5\x88\xee\xfc\x1aAg\xf1\
\x89i\x93\xa2\xae\x88RA\x94eT\xd5\x83\xd0\xccb+@\xa9F\xb4\xba\x17\xd04\x1d\
\xa4\xc4sL\x96\x97\x168\x9a4\x07\x89\x94\x92</\xa8\x84B\x91EH)I\x92\x98;[Cv\
\x87CTMa\x7f\xff\x00\xcf\xf3\xf0T\xc9\xe6\x92\x85Z\x1d\xb1~\xf2\x05\xf4\xd9\
\x9du\x12&L\x93)eY"\x91Tu\x85\xadk\xf8VI\x1e\xa9\xc4\xb1\xc9\xeex\x88"k\xae\
\xdd\xbc\x8e\x82\xc2\xda\xda*\xaa\xa2\x92\x96%e]\xd3\xeb\xf5\x10B\xa2\xd79\
\x8b]\x0b\xb2\x9a\\X$\xd9\x14\xd3\xb2P\x14\x05\xc7\xb1\xf1\r\x8d\xc0\xd1@\
\xd6\xcc/\x9fzb\xd8\xa4\xaeK\x92\\%\xccR\xaa\xb2j\xd6TU\r\xb3*)^\xd0FH\x85i\
\x94\x92d\xd1\xcc\x91%ql\x8by\xd7D\x15!\xbd\xa5\x93\xd8n\xf0\x08cUU\xc14\xcc\
\x89\xf3\x0c\xc7q\x18\x0eG\xd8\xb6\x8do\x19\x98J\x82\x1ft\xe9\xcc\xafa\xbcO\
\x11E\x16gL\xe2\x8a(M\xa8\xab\x12!\x04UY\xd01U\xead\x8f\x8d\x13\x17q\x83\xa7\
T\x14\xaa:IV\xa3\x99\x16\xce\xcc\xc4\xae\xcb\x92v\xe0Ay\x88\xeb\x9f\xe7\xe0\
\xb0$\xab\nl\xdbA\x08\xc1\xfe\xfe>\xbdS\x1bP\x8e\xe9\xf4Viu\x97\x9e\xc8CR\
\xd4D\x89 .\x0b\xea\xba\xa6\xaa+\xea\xaa\xa2mj\xa8\xe5\x88V\xf7\x1cRH\xc6\
\xd3\x10!\x05\x8ec\x13\x04>\xbb\xbb\xbb\xcc\xb5\x02,=\xc5\xf6Z$\x99$\xabJl\
\xdb\x01$\x96e\xe1(\x16\xb6\x9e\x83\xa2q\xfd\xee\x88\xeb;C\xf6\xc7S\xb2"}d\r\
\x93\xbc\xe0\xaf\xbe\xfb]\xce\x9c:\x8d\xa5\x99\x0c\xe2=.\x8c\x0f\xb9p\xf1E\
\xbc\xd6\x1c?\xae\xd4\xd6\x8f$\xe0RJF\xe3\x908M\x9a\xbc\xdc\x99\x89.\x15\xe8\
\x06\x06\xba\xaa\xe1x-\xb2,g<\x990\x1e\rAW\x1b\xc7\x86\x10\xf4\x1c\x03ULiu.>\
\x96\x1c\xf0.\xc20$Ns\xf6\x0f\xf6\x88\x93f\x1e\xcf\xb2\x08z=\x14\x19\x13t\
\x16g\xf5\xe6:\x81gcj\x12\xfb\xa1XcYUT\xd2$\x89\'\xd4u\xc9\xad\xbb\xbb\xec\r\
\'\xa4E\x8a\xa6\xe9\xe4yN\x11\x85\\\xbdx\n5\xdfb\xfd\xdcU\xdc\xa0\x0b(\xd4u\
\xc5h4!L\xf3\x99\xe7X\x12\xc7\t\x8b\x8e\x8aVO\xa8T\x97\xfd\xfe\x1eo\xdd\xbeK\
\xd0\n\xd8=8\x04\xc0t]L\xb31c\x8b\xa2`4\x1a\xb3\xb8\xb8\x88^5\t\x19\x96\x13\
\x90e%EU\xb2\xb0\xb0\x80\x105\xedv\x07G\x16\xb8f\x89kw\xd0\x9fb\xba\x15y\xce\
4\x8a\x89\x92x\x16~\x82$IYn\xf9\xe8D\x04\xed5\xb2\xbc"\x8c#\xa28\x01$\xba\
\xdadJ\xb5|\x0f\x8a\x01A\xe7\xc5\xc7\xcc\xd8</\x98\x84\x11\xb5\x10\xac\xad\
\xadQ\x14%\xadV\xc0\x9c\xa9`*!\xad\xce\n\x9a\xfe\xfe\x8e\xa00L\x88\xe2)I\x9a\
\x92$)y\x9e\x91\xe79v\xc7\x83rH{\xee\xd3O\x0c[I)\x19\x8eCFa\x84\xaa\xaa\x0f\
\xf6OU\xe8\xb5l4\rT\xdd%\x8a\x86\x80\xc4\xb6-\x8a\xa2\xa0(r|KG\x93!\xad\xce\
\xf9\xf7\xe7\xa1,g:\x9d\x92\x159E^\x90DS66\x16PdN\xd0Y\xa4\xaaJ&aNT\x94\xc7\
\xf3We\x89e\x18h\xd5\x18\xd3\xd9\xe0h\x9cST%\xb6\xdd\x1c"\xcb+\xcb\x04\x8a\
\xc0\xd4aR\xad\xb1\x7f\xbf\xcf\x9f\x7f\xfbUVV\x96\xdf\x13\x0b\x97\xec\xecl3\
\x1c\x0c\xa8\x01\xc7u\xf14\x05]\x98t;79\xe1\x7f\xea\xc7\xa6\xc5?\x92\x80\x8b\
\xbaf<\t\xb9u\xff.G\x93\x90V\xab\x8d\x94\x02\xbd*\xb1\x94\x18\xd7\r0m\x9f\
\xe1h\xc2A\xbf\xcf\xdb7n\xd09:\xc4\xb2l\xa4\x94<\xf7\xb9\x97\x90\xc5\x16~g\
\xe1\x89\xcd \xde=@\xf6\x8e\xf6\xb8}\xfb\x0e\xae\xe3\x10\xa7\t\xbe\xa9\xf1\
\xca\xa9\x1e\x86\x06\x8e\xdb\x06\x1a3\xd32\x04Y\x14q\xed\xc6]\x14U\xa1\xdb\
\xe9\xe0\xf6Z\xa8Z\x8b<\x9d2\x1c\x0c\xb8y\xef\x90\xdb;\xdb\xa4i\xc6\xfd\xfb\
\xf7\xd9\xdf\xdf\xe3\xa53k\xac\xb6\x0b\\\xddcy\xfd\xb9\xe3;f\x91\xa7\x8c\xc2\
\x9c\x1f\xbc\xf9\x06\xf9,44\xe8\xf79\xff\xb9\x97\x91\xe5\x98Z]\xe2`0\xe0\xee\
\xdd\xbb(\x8aB\xb7\xd3BHx\xe7\x9dwp\x9c\x07\x9an8\x1c2\x18\x0c\xb8tb\x05\xb5\
\x1c\x10\xcc\xcd\xb35)\x19\xc51EQPW5Y\x9a\xd2q5\xd4jD\xab\xbb\xf6T\xafj\x92f\
\x0c\xc7C\xde|\xe7\x1aI\x9a"\x91\xec\xef\xeds\xf9\x97~\x0e\xca\t~\xfb*q\x92\
\xb3s\xd0\xe7\x8d\xb7\xde\x9a\xadCr\xfb\xc65>{\xee\x97\x90b\x0f\xd7\xef>\x16\
\x92\xc9\xb2\x94\xf1t\xca$I(\x8a\x92\xb2,\xc9\xb3\x14\xbf\xd5B\x16#\x82\xce\
\x8b?\x84\t%Q\x14\xb2\xbd\x7f\xc8\x1bo\xbf\xc9\xc1\xfe>u-(\xf3\x9c\x976_\x86\
:\xc3\xf3\x9b\x83\xf3\xf1}\x16L&!\xb7\xef\xde\xe6\xed;\xf7\xd04\x9d\xde\\\
\x97\x96mak)\xb6m!\xd1\x19\x87\x11\xd3$\xa1,+\xee\xde\xbd\xc7\xee\xee\x1e\
\xed\xcf\xbd\x8c,v\xf1\xdbO\xe6\xa1&\x99)d\xffh\x9fw\xdey\x87Z\xd4L\'SLU\xf0\
\xd9s+\x18\xaa\xc4q\xdbL\xa6!\x93\xe9\x98\xd7^\xfb\x0e\x9e\xd78c\rU\xb2\xd0u\
P\xe4\x04\xdd\xf4\x99\x84!\xd3$\xa5(\xca\x19\x7f\x14,\xafv\xa9\xb5\x1e\xe3\
\xb8\xe2O\xbf\xf9\x17\xdc\xba}\x9b\xd1x\x84e>\xb0$\xca\xb2\xc0q\\<?\xe0\xda\
\xf5k\xb8\xaeG/py~\xed,\xc3\xc3\xfbl\x9cy\xe9\xa7S\xc0\x8b"g2\r\xc9\xcb\x92\
\xc9d\x82e\xdbH!\xe9:*\xba\x92\xd1\xea,\xa1i:\x83\xe1\x98\xe14\xc24\r\x16\
\x16\x16\xb1\x1d\x1b\xb5*\xe8\xb4l4U\xc7q\xdbO\x8c\x016q\xe3\x88JH\x82\xc0\'\
\xcf\x0b|\xd7cs\xa1C\xcbU\xb1]\xff\xd83\xae(\n\xaek\xd1m\xf9,//\x11EQ\x13\
\xef\xf5\x1c\x8aJ!\x9a\x8e\x18\xdf\xda\xe2\xed\xbb\xdb\xdc\xb8s\x87n\xb7\x8d\
a\xe8l,ty\xe9\xe2iDz\x8f\x13/\xff\xe2C\x85\x02\x92\xd1xB\x94&\xcc\xf5z\xd4\
\xb3\x04\x1c]\xa9Y\xe8XH1%-+\xb2i\x9f\xf5^\x80\xe7\xf9TU\x81\x10\x92\xe5\xf6\
\xe2#\xe9\xc6\x89\xadb\x99&\xab]\x17QN\xd1\xecu\xe2\xfd\x84(\x8eA\x01\xcb\
\xb19:<\xe0\xec\xa5\xd3(2\xa3=\xb7\xfcTM\x17\x86\x11qZ\xd0\xeet\xf0[\x01RJT\
\t\xcb\x0b]\x14&8n\x9b\xdd\xfb}\xe2<g}c\x9dp\x1a"D\xcd\xa9\x8d5Z\x8e\xc0T\\L\
\xdb}l\xdc\xc9d\xca4\x8aH\x92\x84Z\xd4\x04A\xc0\xf0\xa8O\xe7\xec*\xaa:\xc1\
\xf5;\xef\x1b\xa7\x15B0\x1c\x87\xd4R4VI\xdd\xd4\x06\xac\xcc\xb5\xe8\x04&\x96\
\xe2a<%S\xab\xaeJ&\x93\x888+XX\\$\xcb2&\x93)+\xc1\x02\x96V\xe2\x05=&Q\xca\
\xd1`\xc0\xee\xee.\xadv\x1b\xcb\xb6\xe8\xb5\xfd\x19\x0fi\xb8\xde\xd3xH0\x1aG\
\x94\xb5`\xae\xd7C\x08\xc1\xc2\xc2<\xbeZ\xd3\xf64,\xc7\xc3\xb4]F\xbb\xf7\x98\
\xa6\x05\xa7\xcf\x9cn\xea\x03$\xd4iH\xe0\x18\xe8\x1a\xe4\x95\xce$|@\x1f\x00U\
Tx\x9e\xcb\xfd\x9d\x03\xee\xee\x1f`\x8a\x9c\xf5^\x8b\xf9\xb9\x00s&\xe0\xaa\
\xaaP\xaa&yU3\x1a\x8e8u\xba\x19?P%\x9a\xca\xaca\xc4\x8f\xaf\xb1\xf1G\x12\xf0\
4M\x99\x841qVP\x96%eQR\xd75A\xaf\x85ZO\t:\xcf\x030\x9e\x84\xe4eE\xe0\x07\x18\
\x86AUU\xd8\xb2\xc2\xd5\xd3Y\x1a\xeb\x93\xcd\xd1\xaa*\x19\x8e\'\x0c\xc2\x18\
\xcf\xf3p\x1c\x17)%\xbe\xadc\xaa)~\xd0C{\xa8\x1a*\x08|\xe6\xda>\xca\xce\x11B\
H\xeaZ\x10\xe7\x19iV0\x1aO\x19\x0c\xfb\xbcs\xfb\x0e\n\x92\xb2(\xf1\x1c\x9b\
\x17\xce_\xa2c\x8e\x98\xef\x9d\xa0\xbb\xb0q|\x92J)\x19\x8f\xa7L\xa2\x90\xaa\
\xaa\x8e\xc3U\xf3\xdd.\x81\xabc\xa85\'W[\xd8\xda\x1aU\x95\xa3\xfe\x90vTR\x82\
\xae\x96\x04\xbe\x8bT]&\xd1\x804\xcb(\xcb\x8a,I15\x85\xc0Q\xd1(p\xdfG\xd3\rG\
c\x86aBYU\xc7\xb9\xdd+\xbd\x16\x81\x03\x96\xe9bX\x0e\xe3ID\x92e\xd4UMU\x95\
\x8d\x97^\xb3\xd1\t\t\xba\x8f\xfb:\xa4\xa8\x19\x8e&\x8c\xa3\x84<o\x1crq\x1c\
\xd3\xb1u<\xb3\xc2q\xbc\xa7\xe6\xf2\xbf\x0bQ7\x87\xfc(N\x91B\xb2\xb0\xb0\x80\
\x94\x12[\x17M\x15Vw\xfe\xa9\x95kY\x961\x9aLPL\x03%\x15\x88ZP\xd5\x15\xae\
\xa9\xa3\x89)\x9e\xbf\xc6\xc14\xe1`8n\xf8\xa2\xac\xf0\\\x0f<\x07\xd7\xc8q\
\xdc\xd6S}\x03\x0fx(aaa\xa1Y\xab\x10\x04\x9e\xd5\xf0Pk\x0eE\xd5\x98\x84\t\
\xa3\xe9\xb4\xc9\xbd\x98\xe5\x8a\xeb\xa2\xc4\xb7%\x96\xed\x92\xa6\x05\xa3(>\
\xa6\x0f\x80)r\x16\xda\x16u>\xa6\xbdi\xf1\xe2\xe6\x99\xc7\x0e\x19M7\xd8\x1a\
\xd4\xbcv\xe7\x80\xb2,\xa9\xab\xa6@\xc9\xf2t\x1c\xbd\xc44[\x8f9R?N|\x04\x01\
\x97DQ\xcca\x7f\xc8\xde\xc1!EQPU\x15\x8a(\xe9u|\x10\x07x\xad\x1eeY0\rc&qJU\
\xd7\r\x01\xa5\xa0\xed\xe9\xe8JN\xbb\xb7\xf2\xd4\x8d/\xf2\x8c0J\x98&i\x93\
\xbb\xab(HQ\xd3rM\xd4:$\xe8\\z\xc4\xb4q\x1c\x1fK\xab\x08\'c\xa6\xd3&\xb7;/*\
\xca\x1a*c\x9d\x1f\xbcy\x978Ih\xb7[\x94e\xc9\x9c!x\xee\xd4\x12\xaa\xdcg\xe3\
\xf4\x17\x1f\xe9\xc2!\xea\x9a\xc9$b\x1a\x86\x94\xe5\x83\xa2\x06\xd7\xd0\xb1L\
\x1bE\xb3YZh\xe3\x18%\xe1\xe4\x10!\x9e^\xdc\xa0*\n\xb6\xe3\xd2\xea\x9e`i\xf5\
\x1c7\xee\xec1\x0c\x13\x8a\xa2`:\x99"\x84`\xae\xe3\xd3\t,L\xd3\xc6v\x82\'\
\x8e#\xea\x8a\xe94f\x12\'\xb3\x02\x94F\xe8[\xa6\xc4T"\x82\xf6"yQ1\x0ec\xa2\
\xb4qJ\xbeKo\xd7\xb6\x01\x95\xb2\x14L\xc6\x034\xdd\xc42ML\xcbn\x9c\xa0\xd3\
\x98a\x98PU\x15q8EJ\xc9B\xdb\xc31*<\xbf\x83n\xbc\x7f8\'I\x12&\xd3\x980\x8a\
\x8f\x9d\xa1H\x89\xebx(\x8aJU\xc3d<|\xcc2)\xab\x8a\xbd\xbdCv\x0e\x87\xdc\xbd\
\xbf=\xab\n\x14\xa8\xb2\xa6\xd7vQ\xc4\x18\xcbi1\xdd\x19\x10fe\x13\xcf\xaf\
\x9a\x94\xe6\xf9N\x80\xa1\xe4\xb4\xbb\xcbO\xadk/\x8fy(\x99U\x0bJD]\xd3\xf2\
\xbc\x19\x0f]\xa0\xaej\x86\xc31\x07\x83!UY\x03\nB\xd4,\xf86\xa6\x92b\xbbm\
\x8e\xe2\x9c\x83\xfep\x16)Q\x90R\xd22$\xb6^\xa0V\x87,\x9c>\xf3x\xce\x02\x90D\
#2\xd1\x85\xdb\xfb\x08!\xa8\xeb\x1a!j\x02\xc7F\x15)~\xeb\xcc\x13\xad\xb5\x8f\
\x0b\x1fZ\xc0\xa5\x90\x0c\x86\x03\xf6\xfb#\xa20D\x02\x93\xc9\x98\x85\xc0\xa6\
\xe5\x99\xc7\x8c\x1a\xc71\xe3\xe9\x944/f\xa6OSf\xd9v\x1dT\x11\xd2\xea^y\xca\
\xfdC2\x9d\x86\x8c\xc3\x98</f\r\x03AC\xd0\rl45\xc1o\xf5\x1e\xb9wi\xba\x81\
\xeb\x98(uI\x18E\x98\x86Nhh\x14\xa5\xe4p*\xe9\x87\tUU\x92\xa6)\xb6\xaer\xf1\
\xfc\x06\xb6<`u\xf3\xb9\xc7\xfc\x00eU6Z-~07@V\xc3\xdd\xc3\x88\x95\xde<\xd1\
\xcd>\x12\x1d)W\x9a\x15K\x89\x82<\x0e\xd34e\x8d\x02Q\x17l\xb6\xda\xacn>\x8f\
\x1bt\x98|\xff\x1a\x938E\x08\x81\xed\xd8L\'\x13L*\x1c=\xc7\x0b\xbaO\x15\xa64\
\xcb\x18OC\xa2$=f&!\x04]\xcfD#\xa7\xdd=K\x96e\x84aH^\x94\xb3~bMy\xe5$\xad\
\xb8?\x80I\n;\x7f\xfd]D-\xe8\xf8\x16/\xbep\x1e\xcdt\x19O\xa6\xc4i\xde\xe4\
\x188\x0e\xf1p\x88g\xeb\xa82\xa15w\xf2\x038\xd8\xa6\x8c\xa3\x94\xbc,\x1f\xa1\
\xd7$-\xd9\x1a*\x84\x85\xca\xfe7\xbe\x07\x8a\xda\xd0i\xa6\xe9\xf2\xa2`<\x9e\
\xf0\xd7\xdf\xf9\x01I89.\x9f\xd9\x8e{U\x00\x00\x12\xdaIDAT\xf5]\x1b\xcb\x10H\
4\x04\x1a\xc3\xf1\x84\xe9d\x8cP\xc0\xb0\x1c\xa4\x10\xac\xf4\xfc\xc6\xc1\xd6\
\xbd\xfct\x1e\ng<T4\xfb\xa8\xca\x1aCV\xb4\\\x0bM\xcd\x9a\xfa\xee"g8\x9e\x12\
\x86St\xc3\xa4V4\xd2$\xa6\xb3\xb4\x80R\x87\xe8\xe6\x1a\xc3\x9d\t\xdb{\x07\
\xd4\xa8\x04\xad\x00!\x04\x1d\xcf\x82b\xcc\x89\xb3\x9f\xe2\xe4\x85\';\x10\
\xf7\xf7\xb6\xb8\xf6\xb5\xd7\x8e\x93\x8a\xde]C7\xb0Q\xd5\x92\xa0\xb3\xf0\xc4\
\xabE\x9a\xa6dY\x13\x93\x0f\xfc\x00M\xfbp\x87\xc0\x87\x16\xf0\xba.\x19\x8fC\
\x8e&a\x13\xd3\x94M\xb8\xc6Tj,5\xc7\x0b\xe6\xd0\r\x8b\xe8h\xc84J\xc8\x8a\x12\
f\x0c\xa7\x8a\xba\t\xa3\x95GxA\xef\x89/(\xa5d4\x1a3\x8d\x93G\x18F\xa7\xc65\
\x05\x96\xa9c{\xedG\x9e\xd14\x03\xdfs\x08\x1c\x0bcF\x10!a\x7f\x9229L\x9aL1\
\xdb&\t\xa7l\xae\xf78\xb3\xe6c)\x15+\x9b\x97\xd0\xf5G5@]\x96Dq\xc4\xc1`\x00\
\x8aB\x9e\xe7\x98\xa6ITU\xfc@\xc2\xed\xc3iS\xfb\xfeP\x85Z\x18F \x05\x9e\xefS\
\x14\xcdA\x92f\x19+-\x0b\xbd\xea\xb1\xb1\xba\x80i9L&\x11a\xdax\xc0u]\xc7\xb2\
l|\xcfE\x15\tA\xe7\xe4qE\xd5{\x91\xc41\xe3\xe9\x84\xa3YZk\x9e\xe7\x18\xbaN\
\xdbk\xcf\x1cl\xf3\x84II\x94f\x94\x0f\xd5\xb6K)\x19&9\x7f\xf9\xc6\x1d\x14!\
\xc9\xf3\x14\xd7P\xf9\xf9+\xeb,u\x05\x9d\xf93L\xc2\x98t\xe6<R5\r\xcf\xf5\xe8\
\xb6|\x94*\xc2\x0b\xe6~hG\xdc<\xcb\x89\xa2)\xe3\xf1\x04EU\xa8\xeb\x1a\xdf\
\xf7\x19\xa5\x05\xdf\xba\xb1\x8bk\x99\xa8jS\xb3\x1eFM\xc2\xd2\\`\xf2\xf3\x1b\
\xf7Y\xb7\x07\x9c\xfft\x8a\xa2\x194\x99L\x02E\x89h\xfb\x7f\xc9Nu\x95\xc18F\
\xa4{\xfc\x97\xaf\xdc\xe1\xfa\x91\xc3\x1f\xdfY\xc41u\x16\x17\xd6\x1a\x1ej\
\xcd?\x95\x87\x86\xa31G\xc3\x11i\x92R\x14\x05\xff\xf8\xa5\x03\\\xbd\xe2^b"\
\xa5\x8f\xe3\xb58\xea\x8f\x18O&\xfc\xe3\xabwIK\x9d\x7f\xfd\xedy\x90\x82\xc5^\
\x1bM\x0bQu\x87\xc1x\x870\xcd\xb0\xac\x86O\xa4\x10t}\x07\xaa\x07\xd7\x9e\'\
\xd5\x96\'I\xce8lr\xff\x85h\x94V\xcb\xd6\xf0m04\xf9\xd4\xeb\xd8\xe1\xd6\xf7\
\x10;\xbfKf_!\xdc\xf8E\xd6VW>\x94\xa6\xff\xd0\x02\x9ee\x19\xe3\xc9\x94(Ng\
\x8d\x15T:\x9d\x0es\x81\x8a\xa9\xe5\xb4\xe76\xd04\x9d\xd1h\xc8$\xce\x19\x8d\
\xc7\x8c\xc6\x13L\xcbf\xde3\x98\xebz\xe8\xdadf\x8e>\xc19R\xd7\x8c\'#\x0e\x86\
\x13\xa2(F\xd75\x0c\xc3\xc435<G\xc7v=\xcc\xf7\xdc\xdd\x15U\xa5\x15\xf88\x96\
\x0e\xaa\x8ae\x1ax\xad\x16w\xfb!\xd0d\xb0\xa5I\xcaB\xdb\xe3\x95K\xa7 \xdbe\
\xf3\x85\x9f\xc3\r\x1e\xf7*\x0b)(\x8a\xa2\xc9\x8dV\x94\xe6\xfeT7&\x96\xa2\
\x84\x84a\x84\xa6i\xc7!\x13\x808\x8e\x19\rG\xa8\x9a\x8aeY\xd8\xb6\xcd\xce\
\xce\x0e\xa7^<\x8b\xa5\x95\x14E\xcax2f\x1a\xe7\x14euL\xc7\xaa\xc8X\xe8\xae\
\xa3)\x15\xad\xce\xe2\x93\x9dYR\x12\x86\x13\x8e\x86c\xc2(FUU\xca\xb2\xc4T$\
\x8b\x0b]`\x17\xc7k3\x89\x07\x14\xc5\x83tMUU\x19\x8f\xc7$\xb3\x10\xa3\xeb\
\xb8l\xef\xecqac\x81\xc0U)\xd2\x90\xd1x\xc44\xce\xa8f\x87BQ\x14\xd4Y\xc8\xc2\
\\\x80\xaaeO\xf4\xba?\xbe\xbc&%\xb8\xa9~S\x10R\xa2(M\xc2J\xaei\x14\xe5{\xe84\
\x1a\xd1\xdd\xacx~\xee\x90\xdd\x89\xce\x1b\xf7j4]\x01Y\xa2\xa8*\xbdN@\x94\
\x0b\xae\x8d\'\x8c\xca[\x88"\xe4\xecF\xc8\xf7\xee\xe9\x1c\xdc\xbf\xc3\xa9\
\x93\x1b\xccw=t}\xfa\xbe\xb5\xfe\x93\xf1\x88\x83\xe1\x984MQE\xce\xf9\xde\x98\
Q\xe6\xf3\xfa\xab79\xb5\xf1Yt\xc3b8\x9a\x90gS.\x9e\x08\xf9\x8bk\x16w\xdey\
\x9d+/\xbe\x8cc\x82a\x18\xe4\xa5`<m\xae\x89\xedv\xa3T,U\xb00\xdfF\xd5\x06\
\xb8\xde\x93\xe9#\xa5`<\t9\x18N\x88g\x07\x8c\xa6\xa9X\xbeO\xe0Z\xd8\x8e\xf5\
\xc4\xe6\x8cu-\x10\xc9\x0ezz\x9b\xbd\xf0\x14\xf1\xe0\xbb\xac\xae,\xbf/\xfd\
\x9f\x86\x0f-\xe0\x8dv\x1b\xd1\x1fO\xc8\xf3\x1cUU\xa9\xca\x92\xb67\x87RG\x04\
\x9d\xc6\x93<\x1eO\x98$9U\xd5\x84^\xd24As]L\x12\xfc\xd6\xfcS\x1dlE\x913\x1aM\
\xe8\x0fC\xd24%I\x12\xd6\xd6V\xf1,\x1dC)\t:\xeb\xa8\xef\t%\xa9\xaa\x8a\xeb\
\x18\xb4<\x87\xba,I\x85\xa0,\x9bRM\x80\xb2\xac\xd0\x14\xc9\xe6\xbc\xcfb[\xe2\
;\xf3,\xac>9\xd1_\xd7u\xba-\x939\x0b\x0e\xc2\x14!\xa1\x145BJ\xd2\xb4)\x84\
\xc9\xf3\x9c\x8d\x8d\xf5\xe3g\\\xd7m\x8a\x18f\xa8\xaa\n\xc72\x98k9\x98\xa6\
\xda\x84cf\xf4\xa8g\xad~\x9a5\t\x02[A\xd7\xe4q\x0c\xfe\xbd\x10R0\x18\x0c\xd8\
\xedG\x14E1+\xc9\xad\xd1\x01\xc7Tp\xbd\x0e\xa6\xe5\x10x6mG\xc5\xa6"\x11\x8f\
\xaf\xa9,KTUe\xce7q-\xb0\x1d\x9f\xe14d\x14g\xc7&}\x9e\x178\x86\x8ak\xd6x^\
\x0b\xcb\xf2\x1e[\xcf{\xe1\xba6\x9e)\xb1\x94\x9a\xa8\x10H I\x9a\xf1\xaa<ee}\
\xe3\x11:9\x8e\xc3\xe7\xce\xdc\xa3\x14*\xbf\xf3\x17:\x7f\xf6\'\xdfE\xd3\xf5c\
\x7fEo\xae\x8d"+\x9e\xbb\xd4fn\xf1\x14=s\xaf\xe95\xa3\x9bl\xac8\x04\x96\x82A\
L!-\x8e\x0e\xf71\xc3\x94\x85\x85\xc5\xe3\n\xb5\xaa\xae\xd9\xd9\xba\xcb\xce\
\xce=\x0e\x06S\x8a\xa2\xe0L7\xc1\xd6\x9b>k\xa77\xe60-\x8f4k\xae\x08\xcb\xce\
\xa0\xa1\xba\xd5\xe2\xe2\xf96\x1dO\xc7\xd6k,\xdb\xa7\xdf?b4\xde\xc3\xd53\\5A\
\xa2`\xea5J\x9d\x90\x97\xe2\xb8Mx\x7f\xd0\'O\'\x0f\xf6\xac*\xd9\xdd\xbeE\x1c\
\x1e\xe1h\x19I]Q\x96\x15&5y6%/\x03\xa6aJq\xb4\x8f\x90Mo\xf5\xa0\xbd\x88\xaei\
\xc8\xe8\x06\x00\xbe\x1f`[\x1e\xfdA\x9f\xc5\x85\xa7\x1c\xfe\xef\x83\x0f\xaf\
\xc1\xd3\x848\x9crf\xc1\xa7\x12\r\x03\xa9jF\'0A\xc6\xf8A\x8f\xb2,\x19\x8c\
\xa6\x88d\xc8\xd9\x05\x8f\xb5`\x15\xcfu\x99o9P\x8e\xe9-\x7f\xea\xa9\xc9\tUYr\
x4\xa0\xe7\xa9\x04\xa6G\x92(\xb8z\xc1b\xa7\x0b\xd5\x84Vg\xe9\t&\x8b\x82\xef\
\xb7Xh\xdb\\Z\xefR\xd5\x02C\xcd0\xb4\xc6\xc4\xef\xb64dm\xf3\xfc\x995\xaad\
\x97S/\xfe\'X\xf6\x93\xfbg\x99\xa6\xc5\xc5s\x1b\x0c\x06\x03\xb6\x0f\xc6\x0c\
\xa6)B4\x99{\x9e\xe7"\x91\xe4\x99\x81\xad\xe5O\'\x92\x06\xed\x95\x0e\x1d\xcf\
@Wj\\\xbf\xcb\xdd\x9d;LG\x07t\xd4\x0c\xa9H\xbam\rS\xf5\xf1l\x89\xebw0\x9f"LR\
\n\x06\x83\t\x06\x05\x1bm\xbd\xd1,Y\xc6r/@\xad\x06t\xe7\xcf\xa2\xeb\x16\xed\
\xce\x1c\xcf\x9f[\xa4*R\x8e\xc61aV?R\xde\x89\x06\xc1\xc6\x1cK\xdd6\xb2\x9a\
\xe2\xb5\x16\xb8\xb3\xbfG:9\xa0\xab6\x82\xd9m\xeb\xb8F\x1b\xb5\x1a\xd3\x99\
\xbf\xf0\x81\x1a3v\xba=^8\xbf\x8c\xacK\xf6\x87!\xe3\xb8@Uf\xd9\x84\x99\xfe\
\x18\x9d\xa4\x94\xac\xf9!a\xa6\xd1?\x98\xf0\xd2\xcb/sbs\x93^\xaf\xc3\xe6j\
\x17\xad:\xe2\xfc\xf3\x9fga\xe5,_\xfb\xfa\xb7\x987#\x00\xbez\xe5\x90_\xbf\
\xac\xf2\x1f\xdf\xd6\x19\x0fv8\xbbT\xa1\\\xfb\xef9\xf0\x7f\x9d\xaa\xfe\x12\
\xebkk(\xb3+Uu\xff\xdf\xf0\xb2\xf3:\xbf\x1buYmu9;_c\xea\xb0\x1e\x0c\xf8\xea\
\xd5!\xa1\x1ep\xfd\xc6-\x0e\xfb}\xda\xc6\x08\x80/\x9c\xec\xf3\xb3\x9b\n\x7f\
\xb3e1\x1ah,\xb6\xd78%\xff\x84\xdf\xfe\xec\x04)\x15\xa0IfR\x14\x89\xa6\xbcM\
\xa6or\xef\xfe}l\xb7E\xbc\xf5\xc7\xa8\xfb\xff\xee\x91\xf7|\xc9\x16\xbc\xf8s\
\x92\xa4T\xf9\x1f\xbf\xb6A\x9a\xc1r[\xe7r\xf0m<Uatm\x8a\x15~\x03dI\xad/p\xbd\
\xfb_\xb0\xb6~\x125\xdb\x06`%\xff=D\xe9\xb2}\xf37Q\xf84\x8b\x8b\x8b?t/\x1e\
\xc6\x87\x14pI\xb7\xd3\xe1\xb3/\x9e\xe6\xf4\xa2D"g\x1en\x81\xa9Gl\x9c~\x11\
\xdb\rP\x14\x95K\xe77\xb0\xe9\x93gq\xe3\x08\x91\xa0P\xd1iy,,\x9f~\xea\xdd\
\xce\xb4L^|\xfe\x14\xf3^\xe31V\xd4.RJt\xb5bi\xf5\x14\x9d\xb9\xd5\'>\xdb\x9b_\
\xe4\xd3WO\xb3\xde\xad\x10R<z\xe2\xbd[\xa8\xa2\xeeq\xea\xc2g\xe8\xf4\xd6\x9e\
\x9a`\xa0j\x06\xeb\'\x9e\xe3\xf3e\xcc\xfd;\xd7\xc8\x0b\x87JHD=\xeb\x12\xf2\
\x01\x0fR);XF\xcd\xea\xc9\xcb8^\x8b\x93\x1bK|\xfe\xca\x1a\xe1\xf8\xb0\x99[\
\x01d\x8d\xe7\xe4\xac\x9f\xfc\xecS\x85IQT\xce\x9dYG)\x8fHb\xfb\x11Z\xb6\\\
\x8d\x95\x8d&\x1b\xd0\xb2=.=\xff2\xb6Vp\xb0\xb7M^J\x84p\x1eix)E\x07U\xa9Y\\\
\xde\xa0\xb7\xb8\xc1s\xd2@-\x0fH\xe3)\xea,\x1b\x11Y\xd3\xf2\x0c\x96\xd6\xce?\
\xf8\xec}`\xd9\x1e\x97\xaf\xbc\x82\xa3\x17\x1c\x1dAQV\xd4\xf5\xbby\xee\x8f\
\x7f\xbf\xc8c:\xae@W\x05\xff\xf47\xcfR\xabmtMEVC\xa4\xd8g\xee\xec/q\xf1\xcag\
\xd1u\x83\x0b\'{\xf8G\x15i\xa9\xf3\x9d\xfb>I\x0e\xaf~\xff\x1e_\xf8\xfc<-OC)$\
o\xdd\xcbY\x93wX_[\x03 \t\x87\xe8\xf96\x95j3\xef\t.\x9f\xf7\xb94\x1f\xa1 yc\
\xafE\xa6\xae1)\x1dJ\xe5{\xbcr\xf5\x1c\xecTH\xa9\xf0\xcd{\x1d\xe2L\xf0\xea\
\xb5}\xce\x9e\rh\xe9}\xecz\xcc\x9dQ\x9b\xdb\x87\x0f\xd6\xbf\xd9\x13\x9c[\x08\
\xa9\xf4E\xfe\xf2\xeb\xdf\xe4\xc4\xa9\xb3\xc4u\x971_:\x0e_\xd6BR\x97\x11\xe7\
\xeco\xe1\x9b5\x1b\xed\x9a\xf6\x89y\x96;5\x8e\x16#\xa5\xcf0\xd6(\xea\x9fEJAQ\
y|\xe3\x0f\xfe\x88\xdf\xfa\xcd_\xc5\xa8#*}\x81\xfd\xfa\ny\xa9\xf3\xf5?\xfb\
\x1e_\x9d\xbf\xf0\x93\x12p\x05\xbf\xd5\xe1\x85\xab\x9fb\xbc\xb1J\x9e\x86H!\
\xd0t\x13\xbf=\xffH\xd8\xe2\xd4\xe9\xf3\xf4\xba-\xa2pH]\xe6(\x8a\x82\xed\xb6\
i\xcf-\xe3\xb5\x9e\xec`\x030L\x9b\x8b\xcf\xbf\xc8\xca\xf2\x02q8D\x8a\x1aU\
\xd3q\xfd.\xed\xb9\x15l\xef\xc9\xa1$\xcb\xf1y\xfe\xca\xa7X__#\x89\xc6\x8f\
\xf6\xe6R\x14t\xc3"h/\xd2\x9e[\xc20\x9f\xae\x99\x9au\xb68}\xe9\xf3\xac\x9e\
\xb8L\x1a\x8f\xc9\xd2\x88\xb2\xc8f\xfd\xc8>Xr\x82\xa6\x9b\xf8\xad\x1e\xed\
\xb9U\x0c\xd3f~q\x85W~\xe6\xef0\x1d\x1fP\x16)H\x89i\xb9\x04\x9dEZ\xdd\xa5\
\xe3\x8a\xbc\xc7\xd7\xa3\xb2y\xf2,\x9dv@8>\xa0*sP\x14l\'\xa0=\xb7rLKE\xd1h\
\xcf-\xf3\xfc+\xbf\xc2\xe9xL<\x1d\x92e\x11\xa2z\xe0\xddVT\r\xd7\xef\xd0\x9e[\
\xc5q[lX.-\xdf!\x9a\x0e\xa8\xca\xecx\xdcVw\xf9\xb1H\xc5\xd3\xa0\xaa\x1a\x9d\
\xde*/\xfc\xcc\xdf\'\x8d\xc7D\xe1\x90<\x8b\x1f\x99\xf7aDqB6\x89\xe9\xc8\x1b\
\x9c\xebl\x03\x8d\xc6b\xe6m\x16\xf1\xbfgk\xe7\x02\xa7N\x9ef\xa1\xa3\xa1\x8es\
v\xe2E\xfe\xed_\xec\xa2(\x06\'N\x9e\xe1g~\xee\xd7\xf0\x0f\xfe\x17\x84>\xc7t\
\x1aq\xb577+d\x82,\x9d\xa0\x96}"\xed\x12\x965\xe1\xf2\xe5\x97Y\x8a\xff\x0f\n\
\x02\xfe\xf4-\x97\xbb[7\xd9\xd8<\xc1o\xfd\xa3/2?\xe7 \x07!\x89\x98\xe3\xf7\
\xbe\x11\x91\xa6\x15\x1b\x9b\x1b|\xe6g\xbf\x8c\x97\xfd;*\xb5\xcb\x9f]\x9f\
\xe3\x9b\xdfy\x9b \xf0\xd14\x95\xff\xea7\xce\x00or\x18Yt:\x1d\\\xdbfT\xce\
\xf1\xea\xf5\x9bXz\xf3\xbe\xd3\xb8\xc0\xf7;\x9c9\xedR\n\x030\xb8p\xee,=7\xc1\
H\x7f\xc0\xad\xe4<\xff\xe2\x7f\xfd}\xd6\xd67\x8e\xad\xd1/\x7f\xf9\xcb\x88t\
\x0fE\xa4\x1cVg\xf8\x9f\xfe\xcd7\xf0\x83\x80K\x97\x9egy\xf9G\x13n\xf8\x08&\
\xba\xa6\x19\xb4\xbaK\xb4\xba\xb3Ig?\xcf\xf4\xde\xe3\xda\xf1\xda8^\x9b%\xe4C\
\xdfy\xfc{\xef\x85:cB\xd7\xef4\x83?e\xfc\'=\xe7\x05=\xbc\xa0\xf7\xe0\xb9\xc7\
\xa6\xfc`\xeaWQ\x14\x0c\xc3\xc6\xe8\xd8\x04\x9dE\x1e\x14)\x7f\xa0\xc7\x1f\
\x9a\xea\xc1|\x86\xe9\xd0[:Aoi\xf3\xc1X\x1f\xe0\xbd\x14E\xc1\xb2=\x16VN\xb3\
\xb0r\xea}i\xa9(*\x96\xeda\xd9\x1e\x9d\xde\x1a?\x8c\x0e\x9an\xb0\xb8v\x8e\
\xc5\xb5\xb3?\xd2\x1e=\xbeF\x15\xcb\xf1\xb1\x1c\x9f\xce\xfc\xfa\xe3\xf3>\x84\
8I\xf8\x0f\xbf\x9fp\xe7n\xef\xa1\xee>p\xe6\xe42_X\xf8#\x9057\xae]\xa3\xdb]\
\x80*F\x91\x05\x89v\x86/\xfd\xc2e\xfe\xb3\xdf\xfaG\x98\xa6\xc9h2\xa5\xda\xe9\
\x93\x99\x17\x18L\xd2c\xed\xd68\xa9\xb6Q\x81\xda>\xc9\xc6\x89\x98\xd3\x17^\
\xa2\xfa\xfe\xffNf\x9c\xa1=\xe7\xf0/\xfe\xe9?cqq\x01\xc30\xd8\xdf~\x0bEfT\
\xce+\x9c>\x1b\xf3_\xff\xf6o\xe386\x93I\x9f\xe2\x8d1\x95\xdeF1\xe7\xf8\x1f\
\xfe\xe5\xbfdcc\x9d\xa2\xac\x18\xbc\xf9\xafa\x02\xb7\x0e\x0c6N\xae\xd0\xdf\
\xfe>\x1b\xd1\xbfb\xf3\xfc\x98\xa6VR!\xea\xfc:\x89u\x11u\xff\x0f\xa9\xed\xab\
HC\xe3\xb9\x17\x7f\x9ej\xeb\xffBf\x1a\xb9\xd2\xe3\xab_\xfd*\xbf\xf1\x1b\xff\
\xe9q\'bU\xd3\xd9}\xe3\xff\x04Y\xb1\x1b\xb6\xf8\xf2\x97\x7f\x95\xaf|\xe5+\
\x98\xb3\xdf\x1a\xf8Q\xf11\xb4lR\x1e\xf9\xef}\xbf\xf7\xa1\x0bf>\xec\xb3\x1fe\
\xce\xa7\x8c\xf7\xd0\x7f\x9f\xdcX?\xea{}\xd0\xef\xff\x18\xe8\xf5\x94\xf1\\\
\xd7\xe5K_\xfc"s\xaf\xbf\xce\xc1\xc1\xfeq\\\x7fie\x1d\xa5((\xb4Mn\xbcu\x8b\
\x17\xae~\n\x19]G*\x06\x05\x01\xeb\xebK\xb4\xdbm\xa4\x94\x14\xf7^C\x935\xa5\
\xd6\xc5\xf7\xcc\xe3V]UUQ\x8f\xdfDQ\x0c\xee\xef\'\x9c9}\x9ab|\x1dMV\x14\xb4\
\xe9v\x03\x16\x17\x17p]\x97\xb2\xaa\xa9\xc6\xef\xa0\xa3\x90\xd1fm%\xa0\xdb\
\xed\xa0\xaa*\xfd\xad-\x94:"\x94\xabt\xba\xdd\xc6\xc9\xeby\x94\x93)Zv\x07\
\xa9\xf9T\xd2\xa4\xd5\xe9"\x0e\x7f\x1f\xad\x1c\xd1\x97\x17\xb93l\x1c\xc7\xfb\
\xd7\xef\xf1\xe9\xab\xcd\xfbVj\x9b\xce\x9c\x8diZT\xe9\x16Bmq{{\xcc+\x9f\xf9"\
\x81\xff\xc0\x0f\x14\xc5)jr\x03\xa9ZT\xf8l\xac\xaf\xd3\n\x9el\xad~\x10|\xcc\
\xbf.\xfa\x0c\xcf\xf0\xc3\x91\x17%a8\x05Er\xe5\x85\xe7\x11\x97/\xc1\xac\xdfy\
\xb2\xf77\xb0\'(\xf4\x15\xd2\xbc@3\x0c\xea\xf4\x1e(\x1a\xa6V\xb3\xb4\xb6B\
\x92\xa68\xb6M9\xbd\x85\x86DV\x19\x97.]f:\x9d\x10\xc7\x11\xd9t\x075\xb9\x89T\
,n\xed\x16\xfc\xf2/\x9f\xa2\x08_\xc5\x915e\x99s\xfe\xdcU\xd2,\xc5q\x9c&\xb3,\
\xbe\x03JSR|\xf1\xe2\xcbDq\x8c\xef\xf9T\xf9\x00Cd(\x14\x9c?s\x82$i\xea"\xb24\
A+v(\xac3\x8c\xc7\x13\x82 @\x99\xecQ\xab>\xdf\xbe\xe50\x08A\xd74\x1c\xd7\xa3\
c4=\xe9\xaf\xedH\x96\x17\x17\x11e\x88ZM\xa9\xb4\x80(\xd7Y_[\x7f\x846YQ\xa2f[\
\xa0\x18\x04\xae\xc6\\\xafK\x96\xe7\xd8\x1fB{\xc33\x01\x7f\x86O\x00\xfd\xdd\
\xb7)o\xfd\x0e\x8a\xc8\xde\xf3\x17\x89QO\x91\x8a\xcek\xb7%\x1b\x9b\'\xd0T@\
\x94("\xe3\xac\xf5u\xc4\xe4\x167n\xfe\xe7\x9c9}\x1a\xea&\xbf\xa1U\xbe\x8e\
\xaf\xdf%{\xfd\xdf"\x15\x85Z\t0\x8b}r}\x1dE\xb5\x99\x9f\x9f\'\xbe\xd3\xd4g\
\xf7\xe4\x1bt\xb9\xcf\xde]\x95\xba\xba\x8a\xeb{(\xa2i\xb9\xb5\xae~\x0b\x91\
\xbd\xcd\xed\xdb>\'N\x9ci>\x07\xba\xcaM\xdaj\x9f\xec\x07\xbf\xc7\xb0\xfb\xf7\
Q\xcd.\xae\xac)\xf45j\x91\xe2\xfb\x0eR\xd6hb\xca/\x9f\xbd\x0e\xea\x83\xd4k5\
\x8c@Q\xe9\'>/\x9e\xdb\xa0\x98n\xa3\xd4S"\x96\xf0\\\x97 x4\x8aS\x97\x19\x8a\
\xacP\xea\x88\x8b\xce\xd7\xa8\xfb\xf7\xb9\xa9\xfc&\xe7\xcf\x9e9n\x9c\xf9\xa3\
\xe0\x99\x80?\xc3O\x1ci^q\x98.S\xe4\x8f\x87\x18+\xb9\xce\xee\xc8\xe4\xdf\xff\
\xf17\xf9\xef\xfe\xf9?\xc7\xb6\x1cn(_\xa4\xcc\xae\xa3\xc8\x8a\n\x93\xb7\xde\
\xfa+6\xd6V\t\xcd\x97\xb9\x97\xc6\xe8Jz|\xd7\x1f\xc6:\xd2^c\xd1j\xd1\x1f\xa8\
\x14eF\xbb\x15\xb0g\\e\x9c\x85\xa84\xdf\xbd}\xff&\xcfW-^\xbc\xfa"G\xdag\x893\
\x13U6\xe1\xc4\xd7\xaf\x7f\x93\x7f\xd0\x9e#\xd1\xce\xb2\x9b\xfd\x1d\x0c\xa2Y\
#s\x85\xfd\xbd\xfb\\9\xd5\xb4b\xda\x1e(\x9c:u\n\xd7\xf1yK~\x81:\xbb\x83"\x9f\
\xf0#\x18\x8a\xca\xd1\xd1\x80\xf9\x85\x05\x8a\xf4\x90\xa3\xf2\noo\xd5\xd8\
\x8e\x85\xed<\x9a\xe8b\x18\x16\xef\xc8\xbf\x8b\xcc\xee\x81\xac)"\x8f[\xd7\
\xbe\xce\x89\x8d\xf5g\x02\xfe\x0c\xff\xff\x80bt\xf9\x83W3\xf6\xf6\x0f\x1e\
\xfb\x9b\x10\x02U\xd3\xf8\x87\xff\xf0\xab\\\xb8p\xbei\x95$\xbb\xfc\xd1\xabM\
\xf6\x9b\x94\x92\xcb\x97[\xd8\xb6M\xd0^\xe4\x0fo\xa9\xdc\xbd{H=\xeb\xf3WW%\
\x9b\x9bu\x93\xa2\xbc\xb7\xcd\xdf\xfb{\xbf\xd2thi\xcf\xf3\x07\xd7$\xf7\xb7\
\x8e\xa8\xeb\x9an\'\xe3\xe7\xbf\xf4+\x18\x86\x8en\xf7\xf8\xf3\xef\x17\x1c\
\x1c\x1c \xa4d}M#\x08\x02TU\xe1\xcd-\x83\x1b7\xfb\xc75\xe0\x8b\x8b\x82WN4\
\xe6\xf2\xad}\xb8ru\x8d\xc0w\x99\x16\x1d\xbe\xf67!\x93\xe9\xf4\x89\x01\x96\
\xf3\xe7\xcf2\xdf\xeb\xb1\xbd\x93\xf1\xfb\xdfJ9:\xea\xf3O\xfe\xc9/`\xbc\'-\
\xd9\xf7\x1c&E\x9b\xaf}cJ8\r\x91R\xf2\xf9\xcf\x7f\xfeC\t7\x80"\x7f\xd8\x0fk=\
\xc33|\xcc(\xcb\x8a(\n\x1f\xfb-\xb8w\xa1\xeb:\x9e\xef\x1f3\x7fY\x96DqL=\xabR\
\xb3m\x1b\xcf\xf3\x9a\xb2\xd6$!\x7f\xc8\x0b\xaf(\n\xb6m\xcfR\x8b+<\xcf\xc7\
\xb6m\x84\x10\xc4qS\xee\xf9\xee\x1c~\x10\xa0k\x1au]\x13E\xd1q\xd5\xa0i\x9a\
\x18\xa6E\x12OH\x92\x84,M\x8fS\x7f\xeb2\xc4\xd9\xf9\x9fQ\x14\x85\xff\xfb\xfa\
\xa7\xf9\xca\xaf\xfe]N\x9f>CQ\x14\xc4q\xfc\xd4w\xb2l\x1b\xdf\xf3(\xcb\x928j\
\x92v<\xdf\x7f\xa2\xe0>:\x96\x82\xe3:\xb8\x8e\xf3\xa1\xfa\xa6?\x13\xf0gx\x86\
\'`\xf7\xfe[\xe4\xb7\xfe\xd5\xf1=\xfc](\xd5\x04\xb5\x0e\x89\x9c\xcf\xf2\xbf\
\xfd\xe1\x98\x7f\xf6\xdf\xfe7t\xbb\xddOh\x95?\x1c\xcfL\xf4gx\x86\' \x8aS\x92\
z\xad\xe9\xe1\xfe\x08\xd6\x91\x86\xcb\xef\xfe\xbfw8q\xe2\x1c\xc1G\x08a\xfd$\
\xf0L\xc0\x9f\xe1\x19\x9e\x00Eo\xf1;\xff\xcf\x1d\xb6\xb7w\x1e\xfb[QV\x9c?\
\x7f\x9e_\xfb\xb5_=.n\xf9i\xc5\xff\x07\xfd\xb5\xeeK\xb4\xcb`\xbd\x00\x00\x00\
\x00IEND\xaeB`\x82' 

def getInventronikLogoBitmap():
    return wxBitmapFromImage(getInventronikLogoImage())

def getInventronikLogoImage():
    stream = cStringIO.StringIO(getInventronikLogoData())
    return wxImageFromStream(stream)

